<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class LoginController extends Controller
{
    public function login(){
        return view('admin.login');
    }

    public function save(Request $request){
        $request->validate([
            'admin_user_email' => ['required', 'email'],
            'admin_user_password' => 'required',
        ]);
        // Validate request
        if (Auth::attempt(['admin_user_email' => $request->admin_user_email, 'password' => $request->admin_user_password])) {    
            return response()->json(['success' => true, 'message' => "Logged in successfully."]);
        }

        // return false response if credentials are not valid
        return response()->json(['success' => false, 'message' => "Invalid Credentials!"]);
    }
}
