<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;
class Webuser extends Authenticatable
{
    use HasFactory;

    protected $table = 'user_table';
    protected $primaryKey = 'user_id';
    public $timestamps = false;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'user_first_name',
        'user_email_id',
        'user_password',
        'user_type',
        'user_status'
    ];
}
