@extends('admin.layouts.master')
@section('headerFiles')
<style>
     th, td {
     border: 1px solid black!important;
     }
</style>

@endsection

@section('content')

    <div class="container">
        <div class="page-header">
            <div class="page-title">
                <h3>Enquiry Details</h3>
            </div>

        </div>

        <div class="row layout-spacing ">

            <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-content widget-content-area">

                        <div class="table-responsive mb-4">

                            <table class="table table-bordered" >

                                <tr>
                                   <th>Name</th>
                                   <td>{{$enq->name}}</td>
                                   <th>Email</th>
                                   <td>{{$enq->email}}</td>
                                   
                                </tr>
                                <tr>
                                   <th>Contact</th> 
                                   <td>{{$enq->contact}}</td>
                                   <th>Property</th>
                                   <td>
                                       <a style="color: blue" href="{{ url('property-details/' . base64_encode($enq->property_id).'?view_type=_enq_det') }}" target="_blank" rel="noopener noreferrer">{{$enq->property_name}}</a>
                                       
                                    </td>
                                </tr>
                                <tr>
                                    <th>Message</th> 
                                    <td colspan="3">{{$enq->message}}</td>
                                 </tr>
           
                             </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
      
    </div>
    </div>

@endsection

@section('footerJs')
 

@endsection
