
@include('frontend.layouts.includes.header')
<div id="wrapper">
   <!-- content -->	
   <div class="content">
    <?php 
    $f_info = DB::table('site_common_info')->find(1);
    $social_medias = DB::table('social_media_settings')->get();
?>
    <!--  section  -->
    <section class="hidden-section single-par2  " data-scrollax-parent="true">
        <div class="bg-wrap bg-parallax-wrap-gradien">
            <div class="bg par-elem "  data-bg="{{ asset('website-assets/images/contact-header.jpeg') }}" data-scrollax="properties: { translateY: '30%' }"></div>
        </div>
        <div class="container">
            <div class="section-title center-align big-title">
                <h2><span>Our Contacts</span></h2>
                {{-- <h4>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut nec tincidunt arcu, sit amet fermentum sem.</h4> --}}
            </div>
            <div class="scroll-down-wrap">
                <div class="mousey">
                    <div class="scroller"></div>
                </div>
                <span>Scroll Down To Discover</span>
            </div>
        </div>
    </section>
    <!--  section  end--> 		
    <!-- breadcrumbs-->
    <div class="breadcrumbs fw-breadcrumbs sp-brd fl-wrap">
        <div class="container">
            <div class="breadcrumbs-list">
                <a href="{{url('/')}}">Home</a> <span>Contacts</span>
            </div>
            <div class="share-holder hid-share">
                <a href="javascript:;" class="share-btn showshare sfcs">  <i class="fas fa-share-alt"></i>  Share   </a>
                <div class="share-container  isShare"></div>
            </div>
        </div>
    </div>
    <!-- breadcrumbs end -->
    <!-- section -->
    <section class="gray-bg small-padding">
        <div class="container">
            <div class="row">
                <!-- services-item -->
                <div class="col-md-4">
                    <div class="services-item fl-wrap">
                        <i class="fal fa-envelope"></i>
                        <h4>Our Mails <span>01</span></h4>
                        {{-- <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. </p> --}}
                        <a href="javascript:;" class="serv-link sl-b">{{$f_info->mail}}</a>
                    </div>
                </div>
                <!-- services-item  end-->
                <!-- services-item -->
                <div class="col-md-4">
                    <div class="services-item fl-wrap">
                        <i class="fal fa-phone-rotary"></i>
                        <h4>Our Phones<span>02</span></h4>
                        {{-- <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. </p> --}}
                        <a href="javascript:;" class="serv-link sl-b">{{$f_info->contact}}</a>
                    </div>
                </div>
                <!-- services-item  end-->
                <!-- services-item -->
                <div class="col-md-4">
                    <div class="services-item fl-wrap">
                        <i class="fal fa-map-marked"></i>
                        <h4>Our Address <span>03</span></h4>
                        {{-- <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. </p> --}}
                        <a href="javascript:;" class="serv-link sl-b">{{$f_info->address}}</a>
                    </div>
                </div>
                <!-- services-item  end-->								
            </div>
            <div class="clearfix"></div>
            <div class="contacts-opt fl-wrap">
                <div class="contact-social">
                    @if($social_medias)
                    <span class="cs-title">Find us on: </span>
                    <ul>
                        @foreach($social_medias as $sm)
                                    <li><a @if($sm->value) target="_blank" rel="noopener noreferrer" href="{{$sm->value}}" @else href="javascript:;" @endif><i class="{{$sm->icon}}"></i></a></li>
                                    @endforeach
                    </ul>
                    @endif
                </div>
                <a href="javascript:;" class="btn small-btn float-btn color-bg cf_btn">Contact Us</a>
                <div class="contact-notifer"></div>
            </div>
            <!--box-widget  -->			
            <div class="box-widget">
                <div class="box-widget-title single_bwt fl-wrap   ">Office Location</div>
                {{-- <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas in pulvinar neque. Nulla finibus lobortis pulvinar. Donec a consectetur nulla.</p> --}}
                <!--box-widget end-->
            </div>
            <!--box-widget-->
            <div class="box-widget fl-wrap">
                <div class="map-widget contacts-map fl-wrap">
                    <div class="map-container mapC_vis">
                        <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d57769.0458851897!2d55.22929578163252!3d25.184149552411007!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3e5f69611a0d36dd%3A0xcb2d28a2fedc1b57!2sbaytik!5e0!3m2!1sen!2sin!4v1640003586077!5m2!1sen!2sin" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
                    </div>
                </div>
            </div>
            <!--box-widget end --> 									
        </div>
    </section>
    <!-- section end-->	
</div>
<div class="contact-form-wrap">
    <div class="contact-form-container">
        <div class="contact-form-main fl-wrap">
            <div class="contact-form-header">
                <h4>Get In Touch</h4>
                <span class="close-contact-form"><i class="fal fa-times"></i></span>
            </div>
            <div id="contact-form" class="contact-form fl-wrap">
                <div id="message"></div>
                <form  class="custom-form" method="post" id="cnt_form" name="contactform" id="contactform">
                    @csrf
                    <fieldset>
                        <label>Your name* <span class="dec-icon"><i class="fas fa-user"></i></span></label>
                        <input type="text" name="name" id="name" placeholder="Your Name" value=""/>
                        <label>Your mail* <span class="dec-icon"><i class="fas fa-envelope"></i></span></label>
                        <input type="text" name="email" id="email" placeholder="Email Address" onInput="checkMail(this)">
                        <label class="e_err" style="color: red"></label>

                        <label>Your name* <span class="dec-icon"><i class="fas fa-mobile"></i></span></label>
                        <input type="text" name="contact" id="contact" placeholder="Contact" class="digitsOnly" value="" onInput="checkPhn(this)" maxlength="15" >
                        <label class="p_err" style="color: red"></label>
                        <label>Message*</label>
                        <textarea name="comments"  id="comments" cols="40" rows="3" placeholder="Your Message:"></textarea>
                    </fieldset>
                    <button type="submit" class="btn float-btn color-bg" style="margin-top:15px;" id="submit">Send Message</button>
                </form>
            </div>
            <!-- contact form  end--> 					
        </div>
    </div>
    <div class="contact-form-overlay"></div>
</div>
   <!-- content end -->	
   @include('frontend.layouts.includes.footer')
   <script>
       $("#cnt_form").submit(function(e) {
            e.preventDefault();
        }).validate({
            rules: {
                name: "required",
                email: "required",
                contact: "required",
                comments: "required",
            },
            messages: {
                name: "Please enter name",
                email: "Please enter email",
                contact: "Please enter contact",
                comments: "Please enter message",
            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).html(error)
                } else {
                    error.insertAfter(element);
                }
            },
            submitHandler: function(form) {
                var formData = new FormData($('#cnt_form')[0]);
                console.log(formData);
                $.ajax({
                    type: 'POST',
                    url: "{{ url('save_contact_form') }}",
                    enctype: 'multipart/form-data',
                    data: formData,
                    processData: false,
                    contentType: false,
                    cache: false,
                    timeout: 600000,
                    dataType: "json",
                    beforeSend:function(){
                        $("#submit").attr("disabled",'');
                        $("#submit").text("Submitting");
                    },
                    complete:function(){
                        $("#submit").removeAttr("disabled");
                        $("#submit").text("Send Message");
                    },
                    success: function(response) {
                        if (response.status == 1) {
                            toastr["success"](response.message);
                            $(".close-contact-form").click();
                            
                        } else {
                            toastr["error"](response.message);
                        }
                    }
                });
            }
        });
        function checkMail(value) {
            let val = $(value).val();
            var patt = new RegExp("^\\w+([\\.-]?\\w+)*@\\w+([\\.-]?\\w+)*(\\.\\w{2,20})+$");
            var res = patt.test(val);
            var el = $(value).parent();
            if (!res) {
                $('.e_err').show();
                $('.e_err').text('Enter Valid Email');
                $('#submit').attr('disabled', true);
            } else {
                $('.e_err').hide();
                $('#submit').attr('disabled', false);
            }
            if (!val) {
                $('.e_err').hide();
                $('#submit').attr('disabled', false);
            }
        }
        function checkPhn(value) {
            let val = $(value).val();
            var patt = new RegExp(/[+0-9]$/);
            var res = patt.test(val);
            var el = $(value).parent();
            if (!res) {
                $('.p_err').show();
                $('.p_err').text('Enter Valid Phone Numbe');
                $('#submit').attr('disabled', true);
               
            } else {
                $('.p_err').hide();
                $('#submit').attr('disabled', false);
            } 
            if(val.length  < 5 || val.length >15){

                $('.p_err').show();
                $('.p_err').text('Enter Valid Phone Numbe');
                $('#submit').attr('disabled', true);
            }
            if (!val) {
                $('.p_err').hide();
                $('#submit').attr('disabled', false);
            }
        }
   </script>
