@if ($paginator->hasPages())


    @if ($paginator->onFirstPage())
        <a href="javascript:;" class="prevposts-link disabled"><i class="fa fa-caret-left"></i></a>
        @else
            <a href="{{ $paginator->previousPageUrl() }}" class="prevposts-link"><i class="fa fa-caret-left"></i></a>
        @endif

        @foreach ($elements as $element)
           
            @if (is_string($element))
                <a href="#" class="disabled">{{ $element }}</a>
            @endif


           
            @if (is_array($element))
                @foreach ($element as $page => $url)
                    @if ($page == $paginator->currentPage())
                        <a href="#" class="current-page">{{ $page }} <span class="sr-only">(current)</span></a>
                    @else
                        <a href="{{ $url }}">{{ $page }}</a>
                    @endif
                @endforeach
            @endif
        @endforeach
        @if ($paginator->hasMorePages())
        <a href="{{ $paginator->nextPageUrl() }}" class="nextposts-link"><i class="fa fa-caret-right"></i></a>
    @else
        <a href="javascript:;" class="prevposts-link disabled"><i class="fa fa-caret-right"></i></a>
    @endif

@endif 