<!DOCTYPE HTML>
<html lang="en">
    <head>
        <!--=============== basic  ===============-->
        <meta charset="UTF-8">
         @if(isset($content->meta_title) && $content->meta_title)
         <title>{{$content->meta_title}}</title>
         @else
         <title>Baytik Properties</title>
         @endif

         @if(isset($content->meta_keyword) && $content->meta_keyword)
         <meta name="keywords" content="{{$content->meta_keyword}}"/>
         @else
         <meta name="keywords" content=""/>
         @endif

         @if(isset($content->meta_description) && $content->meta_description)
         <meta name="description" content="{{$content->meta_description}}"/>
         @else
         <meta name="description" content=""/>
         @endif

        @if(Request::is('/'))
       <meta name="facebook-domain-verification" content="9aj7gl7af36iiv80d9famu8dtv1r6q" />
       @endif
 
        <meta name="robots" content="index, follow"/>
        {{-- <meta name="keywords" content=""/> --}}
        {{-- <meta name="description" content=""/> --}}
        <!--=============== css  ===============-->	
        <link type="text/css" rel="stylesheet" href="{{ asset('website-assets/css/plugins.css') }}">
        <link type="text/css" rel="stylesheet" href="{{ asset('website-assets/css/style.css') }}">
        <link type="text/css" rel="stylesheet" href="{{ asset('website-assets/css/custom.css') }}">
        <link type="text/css" rel="stylesheet" href="{{ asset('website-assets/css/color.css') }}">
        <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
        <!--=============== favicons ===============-->
       <link rel="shortcut icon" href="{{ asset('website-assets/images/favicon.png') }}">
       <style>
           /*.toast-error {*/
           /*     background-color: red!important;*/
           /* }*/
            .toast-message { 
                color: white!important
            }
       </style>
       <!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-KGNXWQN');</script>
<!-- End Google Tag Manager -->

<!-- Meta Pixel Code -->
<script>
!function(f,b,e,v,n,t,s)
{if(f.fbq)return;n=f.fbq=function(){n.callMethod?
n.callMethod.apply(n,arguments):n.queue.push(arguments)};
if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
n.queue=[];t=b.createElement(e);t.async=!0;
t.src=v;s=b.getElementsByTagName(e)[0];
s.parentNode.insertBefore(t,s)}(window, document,'script',
'https://connect.facebook.net/en_US/fbevents.js');
fbq('init', '380384910394154');
fbq('track', 'PageView');
</script>
<noscript><img height="1" width="1" style="display:none"
src="https://www.facebook.com/tr?id=380384910394154&ev=PageView&noscript=1"
/></noscript>
<!-- End Meta Pixel Code -->

    </head>
    <body>
        <!--loader-->
        <div class="loader-wrap">
            <div class="loader-inner">
                <svg>
                    <defs>
                        <filter id="goo">
                            <fegaussianblur in="SourceGraphic" stdDeviation="2" result="blur" />
                            <fecolormatrix in="blur"  values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 5 -2" result="gooey" />
                            <fecomposite in="SourceGraphic" in2="gooey" operator="atop"/>
                        </filter>
                    </defs>
                </svg>
            </div>
        </div>
        <!--loader end-->
        <!-- main -->
        <div id="main">
            <!-- header -->
<header class="main-header">
    <!--  logo  -->
    <div class="logo-holder"><a href="{{url('/')}}"><img src="{{ asset('website-assets/images/logo.png') }}" alt=""></a></div>
    <!-- logo end  -->
    <!-- nav-button-wrap--> 
    <div class="nav-button-wrap color-bg nvminit">
        <div class="nav-button">
            <span></span><span></span><span></span>
        </div>
    </div>
    <!-- nav-button-wrap end-->	
    <!-- header-search button  -->
    {{-- <div class="header-search-button">
        <i class="fal fa-search"></i>
        <span>Search...</span>
    </div> --}}
    <!-- header-search button end  -->
    <!--  add new  btn -->
    {{-- <div class="add-list_wrap">
        <a href="dashboard-add-#" class="add-list color-bg"><i class="fal fa-plus"></i> <span>Add Listing</span></a>
    </div> --}}
    <!--  add new  btn end -->
    <!--  header-opt_btn -->
    {{-- <div class="header-opt_btn tolt" data-microtip-position="bottom"  data-tooltip="Language / Currency">
        <span><i class="fal fa-globe"></i></span>
    </div> --}}
    <!--  header-opt_btn end -->
    <!--  cart-btn   -->
    {{-- <div class="cart-btn  tolt show-header-modal" data-microtip-position="bottom"  data-tooltip="Your Wishlist / Compare">
        <i class="fal fa-bell"></i>
        <span class="cart-btn_counter color-bg">5</span>
    </div> --}}
    <!--  cart-btn end -->
    <!--  login btn -->

    <div class="add-list_wrap">
        <a  href="{{url('book-valuation')}}" class="add-list color-bg"><i class="fal fa-plus"></i> <span>Book Your Valuation</span></a>
    </div>

    {{-- <div class="add-list_wrap">
        <a @if( !empty(session('userdetails'))) href="{{url('book-valuation')}}" @else href="javascript:;" @endif class="add-list color-bg @if(empty(session('userdetails'))) modal-open @endif"><i class="fal fa-plus"></i> <span>Book Your Valuation</span></a>
    </div> --}}
    
    {{-- <?php if( !empty(session('userdetails'))) {   ?> --}}
        {{-- <div class="show-reg-form"><i class="fas fa-user"></i>
            <span><a href="{{ route('profile')}}"><?php $userDetails = session('userdetails'); echo $userDetails['user_first_name'] ?></a></span>
            <span><a href="{{ route('user_logout')}}" style="color: #b32526">Logout</a></span>
        </div> --}}

    {{-- <?php } else { ?> --}}
    {{-- <div class="show-reg-form modal-open"><i class="fas fa-user"></i><span>Sign In</span></div> --}}
{{-- <?php } ?> --}}
    <!--  login btn  end -->
    <!--  navigation --> 
    <div class="nav-holder main-menu">
        <nav>
            <ul class="no-list-style">
                           

                <li>
                    <a href="{{url('/')}}" class="">Home</i></a>
                    
                </li>
                <li>
                    <a href="{{route('real.index')}}">OffPlan Projects</i></a>
                    
                </li>
                <li><a href="{{url('about-us')}}">About</a></li>
                <li>
                    <a href="{{url('/properties')}}">Listings</i></a>
                    <li><a href="{{url('/team')}}">Meet the Team</a></li>
                    <!--second level -->
                  
                    <!--second level end-->
                </li>
             
                <li>
                    <a href="{{url('blog')}}">Blog</a>
                </li>
              
                <li><a href="{{url('contacts')}}">Contacts</a></li>
            </ul>
        </nav>
    </div>
    <!-- navigation  end -->
    <!-- header-search-wrapper -->
    <div class="header-search-wrapper novis_search">
        <div class="header-serach-menu">
            <div class="custom-switcher fl-wrap">
                <div class="fieldset fl-wrap">
                    <input type="radio" name="duration-1"  id="buy_sw" class="tariff-toggle" checked>
                    <label for="buy_sw">Buy</label>
                    <input type="radio" name="duration-1" class="tariff-toggle"  id="rent_sw">
                    <label for="rent_sw" class="lss_lb">Rent</label>
                    <span class="switch color-bg"></span>
                </div>
            </div>
        </div>
        <div class="custom-form">
            <form method="post"  name="registerform">
                <label>Keywords </label>
                <input type="text" placeholder="Address , Street , State..." value=""/>
                <label >Categories</label>
                <select data-placeholder="Categories" class="chosen-select on-radius no-search-select" >
                    <option>All Categories</option>
                    <option>House</option>
                    <option>Apartment</option>
                    <option>Hotel</option>
                    <option>Villa</option>
                    <option>Office</option>
                </select>
                <label style="margin-top:10px;" >Price Range</label>
                <div class="price-rage-item fl-wrap">
                    <input type="text" class="price-range" data-min="100" data-max="100000"  name="price-range1"  data-step="1" value="1" data-prefix="$">
                </div>
                <button onclick="location.href='#'" type="button"  class="btn float-btn color-bg"><i class="fal fa-search"></i> Search</button>
            </form>
        </div>
    </div>
    <!-- header-search-wrapper end  -->				
    <!-- wishlist-wrap--> 
    <div class="header-modal novis_wishlist tabs-act">
        <ul class="tabs-menu fl-wrap no-list-style">
            <li class="current"><a href="#tab-wish">  Wishlist <span>- 3</span></a></li>
            <li><a href="#tab-compare">  Compare <span>- 2</span></a></li>
        </ul>
        <!--tabs -->                       
        <div class="tabs-container">
            <div class="tab">
                <!--tab -->
                <div id="tab-wish" class="tab-content first-tab">
                    <!-- header-modal-container--> 
                    <div class="header-modal-container scrollbar-inner fl-wrap" data-simplebar>
                        <!--widget-posts-->
                        <div class="widget-posts  fl-wrap">
                            <ul class="no-list-style">
                                <li>
                                    <div class="widget-posts-img"><a href="#"><img src="{{ asset('website-assets/images/all/small/1.jpg') }}" alt=""></a>  
                                    </div>
                                    <div class="widget-posts-descr">
                                        <h4><a href="#">Affordable Urban Room</a></h4>
                                        <div class="geodir-category-location fl-wrap"><a href="#"><i class="fas fa-map-marker-alt"></i> 40 Journal Square  , NJ, USA</a></div>
                                        <div class="widget-posts-descr-price"><span>Price: </span> AED AED 1500  / per month</div>
                                        <div class="clear-wishlist"><i class="fal fa-trash-alt"></i></div>
                                    </div>
                                </li>
                                <li>
                                    <div class="widget-posts-img"><a href="#"><img src="{{ asset('website-assets/images/all/small/2.jpg') }}" alt=""></a>
                                    </div>
                                    <div class="widget-posts-descr">
                                        <h4><a href="3">Family House</a></h4>
                                        <div class="geodir-category-location fl-wrap"><a href="#"><i class="fas fa-map-marker-alt"></i> 34-42 Montgomery St , NY, USA</a></div>
                                        <div class="widget-posts-descr-price"><span>Price: </span> $ 50.000</div>
                                        <div class="clear-wishlist"><i class="fal fa-trash-alt"></i></div>
                                    </div>
                                </li>
                                <li>
                                    <div class="widget-posts-img"><a href="#"><img src="{{ asset('website-assets/images/all/small/3.jpg') }}" alt=""></a>
                                    </div>
                                    <div class="widget-posts-descr">
                                        <h4><a href="#">Apartment to Rent</a></h4>
                                        <div class="geodir-category-location fl-wrap"><a href="#"><i class="fas fa-map-marker-alt"></i>75 Prince St, NY, USA</a></div>
                                        <div class="widget-posts-descr-price"><span>Price: </span> $100 / per night</div>
                                        <div class="clear-wishlist"><i class="fal fa-trash-alt"></i></div>
                                    </div>
                                </li>
                            </ul>
                        </div>
                        <!-- widget-posts end-->
                    </div>
                    <!-- header-modal-container end--> 
                    <div class="header-modal-top fl-wrap">
                        <div class="clear_wishlist color-bg"><i class="fal fa-trash-alt"></i> Clear all</div>
                    </div>
                </div>
                <!--tab end -->
                <!--tab -->
                <div class="tab">
                    <div id="tab-compare" class="tab-content">
                        <!-- header-modal-container--> 
                        <div class="header-modal-container scrollbar-inner fl-wrap" data-simplebar>
                            <!--widget-posts-->
                            <div class="widget-posts  fl-wrap">
                                <ul class="no-list-style">
                                    <li>
                                        <div class="widget-posts-img"><a href="#"><img src="{{ asset('website-assets/images/all/small/4.jpg') }}" alt=""></a>  
                                        </div>
                                        <div class="widget-posts-descr">
                                            <h4><a href="#">Gorgeous house for sale</a></h4>
                                            <div class="geodir-category-location fl-wrap"><a href="#"><i class="fas fa-map-marker-alt"></i>  70 Bright St New York, USA </a></div>
                                            <div class="widget-posts-descr-price"><span>Price: </span> $ 52.100</div>
                                            <div class="clear-wishlist"><i class="fal fa-trash-alt"></i></div>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="widget-posts-img"><a href="#"><img src="{{ asset('website-assets/images/all/small/5.jpg') }}" alt=""></a>
                                        </div>
                                        <div class="widget-posts-descr">
                                            <h4><a href="#">Family Apartments</a></h4>
                                            <div class="geodir-category-location fl-wrap"><a href="#"><i class="fas fa-map-marker-alt"></i> W 85th St, New York, USA </a></div>
                                            <div class="widget-posts-descr-price"><span>Price: </span> $ 72.400</div>
                                            <div class="clear-wishlist"><i class="fal fa-trash-alt"></i></div>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                            <!-- widget-posts end-->
                        </div>
                        <!-- header-modal-container end--> 										
                        <div class="header-modal-top fl-wrap">
                            <a class="clear_wishlist color-bg" href="#"><i class="fal fa-random"></i> Compare</a>
                        </div>
                    </div>
                </div>
                <!--tab end -->
            </div>
            <!--tabs end -->							
        </div>
    </div>
    <!--wishlist-wrap end -->                            
    <!--header-opt-modal-->  
    <div class="header-opt-modal novis_header-mod">
        <div class="header-opt-modal-container hopmc_init">
            <div class="header-opt-modal-item lang-item fl-wrap">
                <h4>Language: <span>EN</span></h4>
                <div class="header-opt-modal-list fl-wrap">
                    <ul>
                        <li><a href="#" class="current-lan" data-lantext="EN">English</a></li>
                        <li><a href="#" data-lantext="FR">Franais</a></li>
                        <li><a href="#" data-lantext="ES">Espaol</a></li>
                        <li><a href="#" data-lantext="DE">Deutsch</a></li>
                    </ul>
                </div>
            </div>
            <div class="header-opt-modal-item currency-item fl-wrap">
                <h4>Currency: <span>USD</span></h4>
                <div class="header-opt-modal-list fl-wrap">
                    <ul>
                        <li><a href="#" class="current-lan" data-lantext="USD">USD</a></li>
                        <li><a href="#" data-lantext="EUR">EUR</a></li>
                        <li><a href="#" data-lantext="GBP">GBP</a></li>
                        <li><a href="#" data-lantext="RUR">RUR</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!--header-opt-modal end -->  
</header>