@include('frontend.layouts.includes.header')
<style>
    .multiselect div i{
        cursor: pointer;
    }
    .multiselect div {
        background: #dd1e21;
        color: #fff;
        padding: 5px;
        /* width: 20%; */
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        margin: 3px 5px;
    }
    .multiselect {
        display: flex;
        align-items: center;
        width: 100%;
        margin: 10px 10px 10px 10px;
        flex-wrap: wrap;
    }
</style>
<!-- header end  -->
<!-- wrapper  -->
<div id="wrapper">
    <!-- content -->
    <div class="content">
        <!--  section  -->
        <section class="hero-section">
            <div class="media-container bg-parallax-wrap-gradien hidden-section">
                <div class="video-container">
                    <video autoplay loop muted playsinline  class="bgvid">
                        <source src="{{ asset('website-assets/video/1.mp4') }}" type="video/mp4">
                    </video>
                </div>
                <!--
                                Vimeo code
                                
                                 <div  class="background-vimeo" data-vim="97871257"> </div> -->
                <!--
                                Youtube code
                                
                                 <div  class="background-youtube-wrapper" data-vid="Hg5iNVSp2z8" data-mv="1"> </div> -->
            </div>
            <div class="container pb-4 pt-4">
                <div class="hero-title hero-title_center">
                    <h4>Real Estate Searching Platform</h4>
                    <h2>Find The House of Your Dream <br>
                        Using Our Platform
                    </h2>
                </div>
                <div class="main-search-input-wrap shadow_msiw msiw-center">
                    <div class="main-search-input fl-wrap">
                        <div class="main-search-input-item">
                            <input type="text" name="txt_location" id="txt_location" class="autocomplete" placeholder="Property Location" value="" />
                            <input type="hidden" id="location" name="location">
                            <input type="hidden" id="all_locations" name="all_locations">
                            <div class="multiselect"></div>
                        </div>
                        <div class="main-search-input-item">
                            <select data-placeholder="Category Type" class="chosen-select no-search-select c-type">
                                <option value="">All Category Type</option>
                                @foreach ($category_types as $cateType)
                                    <option value="{{ $cateType->vehicle_type_id }}">{{ $cateType->vehicle_type_name }}</option>    
                                    @endforeach     
                            </select>
                        </div>
                        <div class="main-search-input-item">
                            <select data-placeholder="Property Type" class="chosen-select p-type">
                                <option value="">All Property Type</option>
                                @foreach ($property_types as $propType)
                                    <option value="{{ $propType->vehicle_category_id }}">{{ $propType->vehicle_category_name }}</option>    
                                    @endforeach    
                            </select>
                        </div>
                        <button class="main-search-button color-bg btn-srch"> Search
                            <i class="far fa-search"></i> </button>
                    </div>
                </div>
                <div class="hero-notifer hn_center fl-wrap mor-opt-btn_act">Need more search options? <a href="javascript:;">Advanced
                        Search</a></div>
                <div class="scroll-down-wrap sdw_center">
                    <div class="mousey">
                        <div class="scroller"></div>
                    </div>
                </div>
            </div>
            <div class="container">
                <div class="more-search-opt-wrap more-hidden_wrap">
                    <div class="msotw_title fl-wrap"><i class="far fa-sliders-h"></i>Advanced Search</div>
                    <div class="close_msotw"><i class="fal fa-times"></i></div>
                    <div class="clearfix"></div>
                    <div class="row">
                        <!-- listsearch-input-item -->
                        <div class="col-sm-2">
                            <div class="listsearch-input-item">
                                <label>Bedrooms</label>
                                <!--<input type="text" class="bedrooms digitsOnly"  id="bed_rooms" value="">-->
                                
                                <!-- New Bedrooms-->
                                <div class="custom-dropdown">
                                    <button class="dropdown-toggle" type="button">
                                        Select Bedrooms <i class="fa fa-angle-down"></i>
                                    </button>
                                    <div class="dropdown-menu custom-dropdown-menu" id="my-dropdown" style="display: none;">
                                        <div class="attr-section" id="bedroom_period_div">
                                            <h4 class="title">Bedroom</h4>
                                            <ul class="list">
                                                <li class="item">
                                                    <input id="search_bedroom_period_1" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="1">
                                                    <label for="search_bedroom_period_1" class="checkbox-custom-label">1</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bedroom_period_2" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="2">
                                                    <label for="search_bedroom_period_2" class="checkbox-custom-label">2</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bedroom_period_3" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="3">
                                                    <label for="search_bedroom_period_3" class="checkbox-custom-label">3</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bedroom_period_4" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="4">
                                                    <label for="search_bedroom_period_4" class="checkbox-custom-label">4</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bedroom_period_5" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="5">
                                                    <label for="search_bedroom_period_5" class="checkbox-custom-label">5</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bedroom_period_6" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="6">
                                                    <label for="search_bedroom_period_6" class="checkbox-custom-label">6</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bedroom_period_7" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="7">
                                                    <label for="search_bedroom_period_7" class="checkbox-custom-label">7+</label>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="actions">
                                            <button type="button" class="btn-custom" id="bedroom_chk_reset_btn">Reset</button>
                                        </div>
                                    </div>
                                </div>
                                <!-- New Bedrooms-->
                            </div>
                        </div>
                        <!-- listsearch-input-item end-->
                        <!-- listsearch-input-item -->
                        <div class="col-sm-2">
                            <div class="listsearch-input-item">
                                <label>Bathrooms</label>
                                <!--<input type="text" class="bathrooms digitsOnly" id="bath_rooms" value="">-->
                                
                                <!-- New Bathroom-->
                                <div class="custom-dropdown">
                                    <button class="dropdown-toggle" type="button">
                                        Select Bathrooms <i class="fa fa-angle-down"></i>
                                    </button>
                                    <div class="dropdown-menu custom-dropdown-menu" id="my-dropdown" style="display: none;">
                                        <div class="attr-section" id="bedroom_period_div">
                                            <h4 class="title">Bedroom</h4>
                                            <ul class="list">
                                                <li class="item">
                                                    <input id="search_bathroom_period_1" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="1">
                                                    <label for="search_bathroom_period_1" class="checkbox-custom-label">1</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bathroom_period_2" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="2">
                                                    <label for="search_bathroom_period_2" class="checkbox-custom-label">2</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bathroom_period_3" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="3">
                                                    <label for="search_bathroom_period_3" class="checkbox-custom-label">3</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bathroom_period_4" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="4">
                                                    <label for="search_bathroom_period_4" class="checkbox-custom-label">4</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bathroom_period_5" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="5">
                                                    <label for="search_bathroom_period_5" class="checkbox-custom-label">5</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bathroom_period_6" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="6">
                                                    <label for="search_bathroom_period_6" class="checkbox-custom-label">6</label>
                                                </li>
                                                <li class="item">
                                                    <input id="search_bathroom_period_7" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="7">
                                                    <label for="search_bathroom_period_7" class="checkbox-custom-label">7+</label>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="actions">
                                            <button type="button" class="btn-custom" id="bathroom_chk_reset_btn">Reset</button>
                                        </div>
                                    </div>
                                </div>
                                <!-- New Bathroom-->
                            </div>
                        </div>
                        <!-- listsearch-input-item end-->
                      
                        <!-- listsearch-input-item -->
                        <div class="col-sm-4">
                            <div class="listsearch-input-item">
                                <label>Price</label>
                                <div class="price-rage-item fl-wrap">
                                    <input type="text" class="price-range-double" data-min="0" data-max="1000000"  name="price-range2"  data-step="1000" value="0;0" data-prefix="AED " id="price_range">
                                </div>
                            </div>
                        </div>
                        <!-- listsearch-input-item end-->
                        <!-- listsearch-input-item -->
                        <div class="col-sm-4">
                            <div class="listsearch-input-item">
                                <label>Area Sq/ft</label>
                                <div class="price-rage-item pr-it-nopad fl-wrap">
                                    <input type="text" class="price-range-double" data-min="0" data-max="100000"  name="price-range2"  data-step="100" value="0;0" data-prefix="" id="area_range">
                                </div>
                            </div>
                        </div>
                        <!-- listsearch-input-item -->
                    </div>
                    <div class="clearfix"></div>
                    <!-- listsearch-input-item-->
                    <div class="listsearch-input-item clact">
                        <label>Amenities</label>
                        <div class=" fl-wrap filter-tags">
                            <ul class="no-list-style">
                                @foreach ($amenities as $amt)
                                    <li class="amenities-li">
                                        <input id="check-{{$amt->amenities_id}}" type="checkbox" value="{{$amt->amenities_id}}" name="amenities">
                                        <label for="check-{{$amt->amenities_id}}">{{$amt->amenities_name}}</label>
                                    </li>
                                @endforeach
                               
                            </ul>
                        </div>
                    </div>
                    <!-- listsearch-input-item end-->
                    <div class="msotw_footer">
                        <a href="javascript:;" class="btn small-btn float-btn color-bg btn-adv-srch">Search</a>
                        {{-- <div class="reset-form reset-btn"> <i class="far fa-sync-alt"></i> Reset Filters</div> --}}
                    </div>
                </div>
                

              </div>
        </section>
        <!--  section  end-->
        <!-- breadcrumbs-->
        <div class="breadcrumbs fw-breadcrumbs sp-brd fl-wrap">
            <div class="container">
                <div class="breadcrumbs-list">
                    <a href="#">Home</a>
                </div>
                <div class="share-holder hid-share">
                    <a href="#" class="share-btn showshare sfcs"> <i class="fas fa-share-alt"></i> Share </a>
                    <div class="share-container  isShare"></div>
                </div>
            </div>
        </div>
        <!-- breadcrumbs end -->
        <!-- section -->
        <section class="gray-bg small-padding">
            <div class="container">
                <div class="row">
                    <div class="col-md-4">
                        <div class="section-title fl-wrap">
                            <h4>Browse Hot Offers</h4>
                            <h2>Premium Properties</h2>
                        </div>
                    </div>
                    <div class="col-md-8">
                        <div class="listing-filters gallery-filters">
                            <a href="#" class="gallery-filter  gallery-filter-active" data-filter="*"> <span>All
                                    Categories</span></a>
                            <a href="#" class="gallery-filter" data-filter=".Sale"> <span>For Sale</span></a>
                            <a href="#" class="gallery-filter" data-filter=".Rent"> <span>For Rent</span></a>
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <!-- grid-item-holder-->
                <div class="grid-item-holder gallery-items gisp fl-wrap">
                    <!-- gallery-item-->
                    @foreach ($premium as $pr)
                        <div class="gallery-item {{ $pr->vehicle_type_name }}">
                            <!-- listing-item -->
                            <div class="listing-item">
                                <article class="geodir-category-listing fl-wrap">
                                    <div class="geodir-category-img fl-wrap">
                                        @if($pr->property_custom_url)
                                        <a href="{{ url('property-details/' . $pr->property_custom_url) }}"
                                            class="geodir-category-img_item">
                                            <img src="{{ asset('') }}public/property/images/{{ $pr->image }}" alt="">
                                            <div class="overlay"></div>
                                        </a>
                                        @else
                                        <a href="{{ url('property-details/' . $pr->property_id) }}"
                                            class="geodir-category-img_item">
                                            <img src="{{ asset('') }}public/property/images/{{ $pr->image }}" alt="">
                                            <div class="overlay"></div>
                                        </a>
                                        @endif
                                        <div class="geodir-category-location">
                                            <a href="#" class="single-map-item tolt"
                                                data-newlatitude="{{ $pr->latitude }}"
                                                data-newlongitude="{{ $pr->longitude }}"
                                                data-microtip-position="top-left" data-tooltip="On the map"><i
                                                    class="fas fa-map-marker-alt"></i> <span>
                                                    {{ $pr->property_location }}</span></a>
                                        </div>
                                        <ul class="list-single-opt_header_cat">
                                            <li><a href="javascript:;" class="cat-opt blue-bg">For
                                                    {{ $pr->vehicle_type_name }}</a></li>
                                        </ul>
                                        <div class="geodir-category-listing_media-list">
                                            <span><i class="fas fa-camera"></i> {{ $pr->image_count }}</span>
                                        </div>
                                    </div>
                                    <div class="geodir-category-content fl-wrap">
                                        <h3 class="title-sin_item">
                                            @if($pr->property_custom_url)
                                            <a href="{{ url('property-details/' . $pr->property_custom_url) }}">{{ $pr->property_name }}</a>
                                            @else
                                            <a href="{{ url('property-details/' . $pr->property_id) }}">{{ $pr->property_name }}</a>
                                            @endif
                                        </h3>
                                        <div class="geodir-category-content_price">AED
                                            {{ number_format($pr->property_price) }}</div>
                                        <br>
                                        <div class="geodir-category-content-details">
                                            <ul>
                                                <li><i
                                                        class="fal fa-bed"></i><span>{{ $pr->property_bedroom }}</span>
                                                </li>
                                                <li><i
                                                        class="fal fa-bath"></i><span>{{ $pr->property_bathroom }}</span>
                                                </li>
                                                <li><i
                                                        class="fal fa-cube"></i><span>{{ $pr->property_sqft }} SQFT</span>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </article>
                            </div>
                            <!-- listing-item end-->
                        </div>
                    @endforeach

                </div>
                <!-- grid-item-holder-->
                <a href="{{url('properties?list_type=premium')}}" class="btn float-btn small-btn color-bg">View All Premium Properties</a>
            </div>
        </section>
        <!-- section end-->
        <!-- section -->
        <section>
            <div class="container">
                <!--about-wrap -->
                <div class="about-wrap">
                    <div class="row">
                        <div class="col-md-5">
                            <div class="about-title ab-hero fl-wrap">
                                <h2>Why Choose Our Properties </h2>
                                <h4>Check video presentation to find out more about us .</h4>
                            </div>
                            <div class="services-opions fl-wrap">
                                <ul>
                                    @foreach ($why_choose_us as $wcu)
                                    <li>
                                        <i class="{{$wcu->icon}}"></i>
                                        <h4>{{$wcu->title}} </h4>
                                        <p>{{$wcu->description}}</p>
                                    </li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                        <div class="col-md-1"></div>
                        <div class="col-md-6">
                            <div class="about-img fl-wrap">
                                <img src="{{ asset('website-assets/images/all/27.jpg') }}" class="respimg"
                                    alt="">
                                <div class="about-img-hotifer color-bg">
                                    <p>Explore Properties from the comfort of your home.
View your dream homes online.</p>
                                    <!--<h4>Mark Antony</h4>-->
                                    
                                    <!--<h5>Homeradar CEO</h5>-->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- about-wrap end  -->
            </div>
        </section>
        <!-- section end-->
        {{-- <section class="hidden-section no-padding-section">
            <div class="half-carousel-wrap">
                <div class="half-carousel-title color-bg">
                    <div class="half-carousel-title-item fl-wrap">
                        <h2> Premium Communities </h2>
                        <h5> Have a look at top-rated communities in Dubai and beyond </h5>
                    </div>
                    <div class="pwh_bg"></div>
                </div>
                <div class="half-carousel-conatiner">
                    <div class="half-carousel fl-wrap full-height">
                        <!--slick-item -->
                        <div class="slick-item">
                            <div class="half-carousel-item fl-wrap">
                                <div class="bg-wrap bg-parallax-wrap-gradien">
                                    <div class="bg"
                                        data-bg="{{ asset('website-assets/images/premium/JVC.jpeg') }}">
                                    </div>
                                </div>
                                <div class="half-carousel-content">
                                    <div class="hc-counter color-bg"> 26 Properties </div>
                                    <h3><a href="#"> Jumeirah Village Circle (JVC) </a></h3>
                                    <p> 26 Properties</p>
                                </div>
                            </div>
                        </div>
                        <!--slick-item end -->
                        <!--slick-item -->
                        <div class="slick-item">
                            <div class="half-carousel-item fl-wrap">
                                <div class="bg-wrap bg-parallax-wrap-gradien">
                                    <div class="bg"
                                        data-bg="{{ asset('website-assets/images/premium/businessbay-dubai.jpeg') }}">
                                    </div>
                                </div>
                                <div class="half-carousel-content">
                                    <div class="hc-counter color-bg"> 89 Properties </div>
                                    <h3><a href="#"> Business Bay </a></h3>
                                    <p> 89 Properties</p>
                                </div>
                            </div>
                        </div>
                        <!--slick-item end -->
                        <!--slick-item -->
                        <div class="slick-item">
                            <div class="half-carousel-item fl-wrap">
                                <div class="bg-wrap bg-parallax-wrap-gradien">
                                    <div class="bg"
                                        data-bg="{{ asset('website-assets/images/premium/down-town-dubai.jpeg') }}">
                                    </div>
                                </div>
                                <div class="half-carousel-content">
                                    <div class="hc-counter color-bg"> 102 Properties </div>
                                    <h3><a href="#"> Downtown Dubai </a></h3>
                                    <p> 102 Properties </p>
                                </div>
                            </div>
                        </div>
                        <!--slick-item end -->
                        <!--slick-item -->
                        <div class="slick-item">
                            <div class="half-carousel-item fl-wrap">
                                <div class="bg-wrap bg-parallax-wrap-gradien">
                                    <div class="bg"
                                        data-bg="{{ asset('website-assets/images/premium/Dubailand.jpeg') }}">
                                    </div>
                                </div>
                                <div class="half-carousel-content">
                                    <div class="hc-counter color-bg"> 51 Properties </div>
                                    <h3><a href="#"> Dubailand </a></h3>
                                    <p> 51 Properties </p>
                                </div>
                            </div>
                        </div>
                        <!--slick-item end -->
                    </div>
                </div>
            </div>
        </section> --}}
        <!--section end-->

        <section class="gray-bg small-padding find-a-place" id="find-a-place">
            <div class="container">
                <div class="row">

                    <div class="section-title st-center fl-wrap">
                        <h2> Find a Place That Fits Your Comfort </h2>
                        <h4> Explore the greatest places in the city. You won’t be disappointed. </h4>
                    </div>
                </div>

                <div class="row">
                    <div class="row">
                        @foreach ($property_type_list as $pl)
                            <div class="col-sm-6 col-lg-3">
                                <div class="find-prpry-box" style="background-image:url({{ asset('') }}public/property_type/{{ $pl->image }})">
                                    <div class="details">
                                        <a href="{{url('properties?property_type='.$pl->vehicle_category_id)}}">
                                            <h4>{{$pl->vehicle_category_name}}</h4>
                                            <p>{{ $pl->count }} Projects</p>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                        
                    </div>
                </div>

                <div class="clearfix"></div>
            </div>
        </section>

        <!-- section -->
        {{-- <section>
            <div class="container">
                <!-- section-title -->
                <div class="section-title st-center fl-wrap">
                    <h4>The Best Agents</h4>
                    <h2>Meet Our Agents</h2>
                </div>
                <!-- section-title end -->
                <div class="clearfix"></div>
                <div class="listing-carousel-wrapper lc_hero carousel-wrap fl-wrap">
                    <div class="listing-carousel carousel ">
                        <!-- slick-slide-item -->
                        <div class="slick-slide-item">
                            <!--  agent card item -->
                            <div class="listing-item">
                                <article class="geodir-category-listing fl-wrap">
                                    <div class="geodir-category-img fl-wrap  agent_card">
                                        <a href="#" class="geodir-category-img_item">
                                            <img src="{{ asset('website-assets/images/agency/agent/1.jpg') }}"
                                                alt="">
                                            <ul class="list-single-opt_header_cat">
                                                <li><span class="cat-opt color-bg">4 listings</span></li>
                                            </ul>
                                        </a>
                                        <div class="agent-card-social fl-wrap">
                                            <ul>
                                                <li><a href="#" target="_blank"><i class="fab fa-facebook-f"></i></a>
                                                </li>
                                                <li><a href="#" target="_blank"><i class="fab fa-twitter"></i></a></li>
                                                <li><a href="#" target="_blank"><i class="fab fa-instagram"></i></a>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="listing-rating card-popup-rainingvis" data-starrating2="5">
                                            <span class="re_stars-title">Excellent</span>
                                        </div>
                                    </div>
                                    <div class="geodir-category-content fl-wrap">
                                        <div class="card-verified tolt" data-microtip-position="left"
                                            data-tooltip="Verified"><i class="fal fa-user-check"></i></div>
                                        <div class="agent_card-title fl-wrap">
                                            <h4><a href="#">Anna Lips</a></h4>
                                            <h5><a href="#">CondorHome RealEstate agency</a></h5>
                                        </div>
                                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas in
                                            pulvinar neque. Nulla finibus lobortis pulvinar. Donec a consectetur
                                            nulla.</p>
                                        <div class="geodir-category-footer fl-wrap">
                                            <a href="#" class="btn float-btn color-bg small-btn">View
                                                Profile</a>
                                            <a href="mailto:yourmail@email.com" class="tolt ftr-btn"
                                                data-microtip-position="left" data-tooltip="Write Message"><i
                                                    class="fal fa-envelope"></i></a>
                                            <a href="tel:123-456-7890" class="tolt ftr-btn"
                                                data-microtip-position="left" data-tooltip="Call Now"><i
                                                    class="fal fa-phone"></i></a>
                                        </div>
                                    </div>
                                </article>
                            </div>
                            <!--  agent card item end -->
                        </div>
                        <!-- slick-slide-item end-->
                        <!-- slick-slide-item -->
                        <div class="slick-slide-item">
                            <!--  agent card item -->
                            <div class="listing-item">
                                <article class="geodir-category-listing fl-wrap">
                                    <div class="geodir-category-img fl-wrap  agent_card">
                                        <a href="#" class="geodir-category-img_item">
                                            <img src="{{ asset('website-assets/images/agency/agent/3.jpg') }}"
                                                alt="">
                                            <ul class="list-single-opt_header_cat">
                                                <li><span class="cat-opt color-bg">6 listings</span></li>
                                            </ul>
                                        </a>
                                        <div class="agent-card-social fl-wrap">
                                            <ul>
                                                <li><a href="#" target="_blank"><i class="fab fa-facebook-f"></i></a>
                                                </li>
                                                <li><a href="#" target="_blank"><i class="fab fa-twitter"></i></a></li>
                                                <li><a href="#" target="_blank"><i class="fab fa-instagram"></i></a>
                                                </li>
                                                <li><a href="#" target="_blank"><i class="fab fa-vk"></i></a></li>
                                            </ul>
                                        </div>
                                        <div class="listing-rating card-popup-rainingvis" data-starrating2="3">
                                            <span class="re_stars-title">Average</span>
                                        </div>
                                    </div>
                                    <div class="geodir-category-content fl-wrap">
                                        <div class="card-verified cv_not tolt" data-microtip-position="left"
                                            data-tooltip="Not Verified"><i class="fal fa-minus-octagon"></i>
                                        </div>
                                        <div class="agent_card-title fl-wrap">
                                            <h4><a href="#">Jane Kobart</a></h4>
                                            <h5><a href="#">Mavers RealEstate agency</a></h5>
                                        </div>
                                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas in
                                            pulvinar neque. Nulla finibus lobortis pulvinar. Donec a consectetur
                                            nulla.</p>
                                        <div class="geodir-category-footer fl-wrap">
                                            <a href="#" class="btn float-btn color-bg small-btn">View
                                                Profile</a>
                                            <a href="mailto:yourmail@email.com" class="tolt ftr-btn"
                                                data-microtip-position="left" data-tooltip="Write Message"><i
                                                    class="fal fa-envelope"></i></a>
                                            <a href="tel:123-456-7890" class="tolt ftr-btn"
                                                data-microtip-position="left" data-tooltip="Call Now"><i
                                                    class="fal fa-phone"></i></a>
                                        </div>
                                    </div>
                                </article>
                            </div>
                            <!--  agent card item end -->
                        </div>
                        <!-- slick-slide-item end-->
                        <!-- slick-slide-item -->
                        <div class="slick-slide-item">
                            <!--  agent card item -->
                            <div class="listing-item">
                                <article class="geodir-category-listing fl-wrap">
                                    <div class="geodir-category-img fl-wrap  agent_card">
                                        <a href="#" class="geodir-category-img_item">
                                            <img src="{{ asset('website-assets/images/agency/agent/5.jpg') }}"
                                                alt="">
                                            <ul class="list-single-opt_header_cat">
                                                <li><span class="cat-opt color-bg">23 listings</span></li>
                                            </ul>
                                        </a>
                                        <div class="agent-card-social fl-wrap">
                                            <ul>
                                                <li><a href="#" target="_blank"><i class="fab fa-facebook-f"></i></a>
                                                </li>
                                                <li><a href="#" target="_blank"><i class="fab fa-twitter"></i></a></li>
                                                <li><a href="#" target="_blank"><i class="fab fa-instagram"></i></a>
                                                </li>
                                                <li><a href="#" target="_blank"><i class="fab fa-vk"></i></a></li>
                                            </ul>
                                        </div>
                                        <div class="listing-rating card-popup-rainingvis" data-starrating2="5">
                                            <span class="re_stars-title">Excellent
                                            </span>
                                        </div>
                                    </div>
                                    <div class="geodir-category-content fl-wrap">
                                        <div class="card-verified tolt" data-microtip-position="top-left"
                                            data-tooltip="Verified"><i class="fal fa-user-check"></i></div>
                                        <div class="agent_card-title fl-wrap">
                                            <h4><a href="#">Bill Trust</a></h4>
                                            <h5><a href="#">Your Sweet Home agency</a></h5>
                                        </div>
                                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas in
                                            pulvinar neque. Nulla finibus lobortis pulvinar. Donec a consectetur
                                            nulla.</p>
                                        <div class="geodir-category-footer fl-wrap">
                                            <a href="#" class="btn float-btn color-bg small-btn">View
                                                Profile</a>
                                            <a href="mailto:yourmail@email.com" class="tolt ftr-btn"
                                                data-microtip-position="left" data-tooltip="Write Message"><i
                                                    class="fal fa-envelope"></i></a>
                                            <a href="tel:123-456-7890" class="tolt ftr-btn"
                                                data-microtip-position="left" data-tooltip="Call Now"><i
                                                    class="fal fa-phone"></i></a>
                                        </div>
                                    </div>
                                </article>
                            </div>
                            <!--  agent card item end -->
                        </div>
                        <!-- slick-slide-item end-->
                        <!-- slick-slide-item -->
                        <div class="slick-slide-item">
                            <!--  agent card item -->
                            <div class="listing-item">
                                <article class="geodir-category-listing fl-wrap">
                                    <div class="geodir-category-img fl-wrap  agent_card">
                                        <a href="#" class="geodir-category-img_item">
                                            <img src="{{ asset('website-assets/images/agency/agent/6.jpg') }}"
                                                alt="">
                                            <ul class="list-single-opt_header_cat">
                                                <li><span class="cat-opt color-bg">12 listings</span></li>
                                            </ul>
                                        </a>
                                        <div class="agent-card-social fl-wrap">
                                            <ul>
                                                <li><a href="#" target="_blank"><i class="fab fa-facebook-f"></i></a>
                                                </li>
                                                <li><a href="#" target="_blank"><i class="fab fa-twitter"></i></a></li>
                                                <li><a href="#" target="_blank"><i class="fab fa-instagram"></i></a>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="listing-rating card-popup-rainingvis" data-starrating2="4">
                                            <span class="re_stars-title">Good</span>
                                        </div>
                                    </div>
                                    <div class="geodir-category-content fl-wrap">
                                        <div class="card-verified tolt" data-microtip-position="left"
                                            data-tooltip="Verified"><i class="fal fa-user-check"></i></div>
                                        <div class="agent_card-title fl-wrap">
                                            <h4><a href="#">Martin Smith</a></h4>
                                            <h5><a href="#">Mavers RealEstate agency</a></h5>
                                        </div>
                                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas in
                                            pulvinar neque. Nulla finibus lobortis pulvinar. Donec a consectetur
                                            nulla.</p>
                                        <div class="geodir-category-footer fl-wrap">
                                            <a href="#" class="btn float-btn color-bg small-btn">View
                                                Profile</a>
                                            <a href="mailto:yourmail@email.com" class="tolt ftr-btn"
                                                data-microtip-position="left" data-tooltip="Write Message"><i
                                                    class="fal fa-envelope"></i></a>
                                            <a href="tel:123-456-7890" class="tolt ftr-btn"
                                                data-microtip-position="left" data-tooltip="Call Now"><i
                                                    class="fal fa-phone"></i></a>
                                        </div>
                                    </div>
                                </article>
                            </div>
                            <!--  agent card item end -->
                        </div>
                        <!-- slick-slide-item end-->
                    </div>
                    <div class="swiper-button-prev lc-wbtn lc-wbtn_prev"><i class="far fa-angle-left"></i>
                    </div>
                    <div class="swiper-button-next lc-wbtn lc-wbtn_next"><i class="far fa-angle-right"></i>
                    </div>
                </div>
            </div>
        </section> --}}
        <!-- section end-->
        <!-- section -->
        @if($website_info)
        <section class="color-bg small-padding">
            <div class="container">
                <div class="main-facts fl-wrap" style="display: flex;justify-content: space-between;">
                    <!-- inline-facts  -->
                    <div class="inline-facts-wrap content-wrap-area" style="width: 75%;">
                        <div class="inline-facts">
                            <!--<div class="milestone-counter">-->
                                <!--<div class="stats animaper">-->
                                <!--    <div class="num" data-content="0" data-num="{{$website_info->title_1_count}}">0</div>-->
                                <!--</div>-->
                            <!--</div>-->
                            <!--<h6>{{$website_info->title_1}}</h6>-->
                            @if($website_info->sub_title) <h3>{{$website_info->sub_title}}</h3>@endif
                            @if($website_info->sub_sub_title)<h6>{{$website_info->sub_sub_title}}</h6>@endif
                        </div>
                    </div>
                    <!-- inline-facts end -->
                    
                    <div class="inline-facts-wrap">
                        <div class="inline-facts">
                             @if($website_info->btn_link) <a href="{{$website_info->btn_link}}" class="add-list add-btn-value">@endif<i class="fal fa-plus"></i> <span>@if($website_info->btn_text){{$website_info->btn_text}}@endif</span>
                            @if($website_info->btn_link)</a>@endif
                        </div>
                    </div>
                    <style>
                        .add-btn-value{
                            background: white;
                            color: #dd1e21;
                        }
                        .add-btn-value i {
                            background: rgb(221 30 33);
                            color: #fff;
                        }
                        .add-btn-value:hover {
                            background: #a51315;
                            color: #ffffff;
                        }
                        .main-facts h3{
                            font-size: 20px;
                            font-weight: 600;
                            color: #fff;
                            margin-bottom: 10px;
                        }
                        .main-facts .content-wrap-area{
                            text-align: left;
                        }
                    </style>
                    <!-- inline-facts  -->
                    <!--<div class="inline-facts-wrap">-->
                    <!--    <div class="inline-facts">-->
                    <!--        <div class="milestone-counter">-->
                    <!--            <div class="stats animaper">-->
                    <!--                <div class="num" data-content="0" data-num="{{$website_info->title_2_count}}">0</div>-->
                    <!--            </div>-->
                    <!--        </div>-->
                    <!--        <h6>{{$website_info->title_2}}</h6>-->
                    <!--    </div>-->
                    <!--</div>-->
                    <!-- inline-facts end -->
                    <!-- inline-facts  -->
                    <!--<div class="inline-facts-wrap">-->
                    <!--    <div class="inline-facts">-->
                    <!--        <div class="milestone-counter">-->
                    <!--            <div class="stats animaper">-->
                    <!--                <div class="num" data-content="0" data-num="{{$website_info->title_3_count}}">0</div>-->
                    <!--            </div>-->
                    <!--        </div>-->
                    <!--        <h6>{{$website_info->title_3}}</h6>-->
                    <!--    </div>-->
                    <!--</div>-->
                    <!-- inline-facts end -->
                    <!-- inline-facts  -->
                    <!--<div class="inline-facts-wrap">-->
                    <!--    <div class="inline-facts">-->
                    <!--        <div class="milestone-counter">-->
                    <!--            <div class="stats animaper">-->
                    <!--                <div class="num" data-content="0" data-num="{{$website_info->title_4_count}}">0</div>-->
                    <!--            </div>-->
                    <!--        </div>-->
                    <!--        <h6>{{$website_info->title_4}}</h6>-->
                    <!--    </div>-->
                    <!--</div>-->
                    <!-- inline-facts end -->
                </div>
            </div>
            <div class="svg-bg">
                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px"
                    y="0px" width="100%" height="100%" viewBox="0 0 1600 900" preserveAspectRatio="xMidYMax slice">
                    <defs>
                        <lineargradient id="bg">
                            <stop offset="0%" style="stop-color:rgba(255, 255, 255, 0.6)"></stop>
                            <stop offset="50%" style="stop-color:rgba(255, 255, 255, 0.1)"></stop>
                            <stop offset="100%" style="stop-color:rgba(255, 255, 255, 0.6)"></stop>
                        </lineargradient>
                        <path id="wave" stroke="url(#bg)" fill="none"
                            d="M-363.852,502.589c0,0,236.988-41.997,505.475,0
                                        s371.981,38.998,575.971,0s293.985-39.278,505.474,5.859s493.475,48.368,716.963-4.995v560.106H-363.852V502.589z" />
                    </defs>
                    <g>
                        <use xlink:href="#wave">
                            <animatetransform attributeName="transform" attributeType="XML" type="translate" dur="10s"
                                calcMode="spline" values="270 230; -334 180; 270 230" keyTimes="0; .5; 1"
                                keySplines="0.42, 0, 0.58, 1.0;0.42, 0, 0.58, 1.0" repeatCount="indefinite" />
                        </use>
                        <use xlink:href="#wave">
                            <animatetransform attributeName="transform" attributeType="XML" type="translate" dur="8s"
                                calcMode="spline" values="-270 230;243 220;-270 230" keyTimes="0; .6; 1"
                                keySplines="0.42, 0, 0.58, 1.0;0.42, 0, 0.58, 1.0" repeatCount="indefinite" />
                        </use>
                        <use xlink:href="#wave">
                            <animatetransform attributeName="transform" attributeType="XML" type="translate" dur="6s"
                                calcMode="spline" values="0 230;-140 200;0 230" keyTimes="0; .4; 1"
                                keySplines="0.42, 0, 0.58, 1.0;0.42, 0, 0.58, 1.0" repeatCount="indefinite" />
                        </use>
                        <use xlink:href="#wave">
                            <animatetransform attributeName="transform" attributeType="XML" type="translate" dur="12s"
                                calcMode="spline" values="0 240;140 200;0 230" keyTimes="0; .4; 1"
                                keySplines="0.42, 0, 0.58, 1.0;0.42, 0, 0.58, 1.0" repeatCount="indefinite" />
                        </use>
                    </g>
                </svg>
            </div>
        </section>
        @endif
        <!-- section end-->
        <!-- section -->
        <section class="gray-bg ">
            <div class="container">
                <div class="section-title st-center fl-wrap">
                    <h4>Testimonials</h4>
                    <h2>What Our Clients Say</h2>
                </div>
            </div>
            <div class="clearfix"></div>
            <div class="testimonials-slider-wrap">
                <div class="testimonials-slider">
                    <!--slick-item -->
                    @foreach ($testimonial as $row)
                    <div class="slick-item">
                        <div class="text-carousel-item fl-wrap">
                            <div class="text-carousel-item-header fl-wrap">
                                <div class="popup-avatar">
                                    <?php if($row->profile_image!="") {  ?>
                                    <img src="{{ url('public/testimonial').'/'.$row->profile_image}}" width="50" height="50">
                                <?php }else{ ?>
                                    <img src="{{ asset('website-assets/images/avatar/default.png') }}" width="50" height="50">
                                    
                                <?php }?>
                                </div>
                                <div class="review-owner fl-wrap">{{ $row->first_name." ".$row->last_name}}</div>
                                <!--<div class="listing-rating card-popup-rainingvis" data-starrating2="5"> </div>-->
                            </div>
                            <div class="text-carousel-content fl-wrap">
                                <p> {{ $row->testimonial}}</p>
                                {{-- <a href="#" class="testim-link color-bg">Via Facebook</a> --}}
                            </div>
                        </div>
                    </div>
                    @endforeach    
                    <!--slick-item end -->
                    <!--slick-item -->
                    <!-- <div class="slick-item">
                        <div class="text-carousel-item fl-wrap">
                            <div class="text-carousel-item-header fl-wrap">
                                <div class="popup-avatar"><img
                                        src="{{ asset('website-assets/images/avatar/default.jpg') }}" alt=""></div>
                                <div class="review-owner fl-wrap">Austin Harisson</div>
                                <div class="listing-rating card-popup-rainingvis" data-starrating2="4"> </div>
                            </div>
                            <div class="text-carousel-content fl-wrap">
                                <p> "Feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim
                                    qui blandit praesent luptatum zzril delenit augue duis dolore te odio
                                    dignissim qui blandit praesent blandit praesent luptatum zzril.Vulputate
                                    urna. Nulla tristique mi a massa convallis."</p>
                                <a href="#" class="testim-link color-bg">Via Twitter</a>
                            </div>
                        </div>
                    </div> -->
                    <!--slick-item end -->
                    <!--slick-item -->
                   <!--  <div class="slick-item">
                        <div class="text-carousel-item fl-wrap">
                            <div class="text-carousel-item-header fl-wrap">
                                <div class="popup-avatar"><img
                                        src="{{ asset('website-assets/images/avatar/3.jpg') }}" alt=""></div>
                                <div class="review-owner fl-wrap">Garry Colonsi</div>
                                <div class="listing-rating card-popup-rainingvis" data-starrating2="4"> </div>
                            </div>
                            <div class="text-carousel-content fl-wrap">
                                <p> "In ut odio libero, at vulputate urna. Nulla tristique mi a massa convallis
                                    cursus. Nulla eu mi magna. Etiam suscipit commodo gravida. Lorem ipsum dolor
                                    sit amet, conse ctetuer adipiscing elit, sed diam nonu mmy nibh euismod
                                    tincidunt ut laoreet dolore luptatum."</p>
                                <a href="#" class="testim-link color-bg">Via Facebook</a>
                            </div>
                        </div>
                    </div>
                    <!--slick-item end -->
                    <!--slick-item -->
                    <!-- <div class="slick-item">
                        <div class="text-carousel-item fl-wrap">
                            <div class="text-carousel-item-header fl-wrap">
                                <div class="popup-avatar"><img
                                        src="{{ asset('website-assets/images/avatar/4.jpg') }}" alt=""></div>
                                <div class="review-owner fl-wrap">Antony Moore</div>
                                <div class="listing-rating card-popup-rainingvis" data-starrating2="5"> </div>
                            </div>
                            <div class="text-carousel-content fl-wrap">
                                <p> "Feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim
                                    qui blandit praesent luptatum zzril delenit augue duis dolore te odio
                                    dignissim qui blandit praesent blandit praesent luptatum zzril.Vulputate
                                    urna. Nulla tristique mi a massa convallis."</p>
                                <a href="#" class="testim-link color-bg">Via Twitter</a>
                            </div>
                        </div>
                    </div> --> 
                    <!--slick-item end -->
                </div>
            </div>
        </section>
        <!-- section end-->
    </div>
    <!-- content end -->
    <!-- subscribe-wrap -->
    <div class="subscribe-wrap fl-wrap">
        <div class="container">
            <div class="subscribe-container fl-wrap color-bg">
                <div class="pwh_bg"></div>
                <div class="mrb_dec mrb_dec3"></div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="subscribe-header">
                            <h4>newsletter</h4>
                            <h3>Sign up for newsletter and get latest news and update</h3>
                        </div>
                    </div>
                    <div class="col-md-1"></div>
                    <div class="col-md-5">
                        <div class="footer-widget fl-wrap">
                            <div class="subscribe-widget fl-wrap">
                                <div class="subcribe-form">
                                    <form id="subscribe" method="post">
                                        @csrf
                                        <input class="enteremail fl-wrap" name="sub_email" id="subscribe-email"
                                            placeholder="Enter Your Email" spellcheck="false" type="text" onInput="checkMail(this)">
                                            
                                        <button type="submit" id="subscribe-button" class="subscribe-buttons color-bg">
                                            Subscribe</button>
                                        <label for="subscribe-email" class="subscribe-message e_err"></label>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="map_canvas_branch" style="display:none"></div>
    <!-- subscribe-wrap end -->
    

    @include('frontend.layouts.includes.footer')
    
    <script>
        localStorage.removeItem('locations');
        $('.multiselect').hide();
        $(document).on('click', '.multiselect i', function(){
            const id = $(this).data('id');
            const locations = JSON.parse(localStorage.getItem('locations'));
            const updatedLocation = locations.filter(location => location.id !== id);
            localStorage.setItem('locations', JSON.stringify(updatedLocation));
            if(!updatedLocation.length){
                $('.multiselect').html('');
                $('.multiselect').hide();
                $('#all_locations').val('');
                return;
            }
            let html = '';
            for(const location of updatedLocation){
                html += `<div>
                            <i class="fa fa-times" data-id="${location.id}"></i>
                            ${location.name}
                        </div>`;
            }
            $('.multiselect').html(html);
            $('.multiselect').show();
            get_home_search_address(JSON.stringify(updatedLocation));          
            $('#all_locations').val(JSON.stringify(updatedLocation));
        });
        
        function checkMail(value) {
            let val = $(value).val();
            var patt = new RegExp("^\\w+([\\.-]?\\w+)*@\\w+([\\.-]?\\w+)*(\\.\\w{2,20})+$");
            var res = patt.test(val);
            var el = $(value).parent();
            if (!res) {
                $('.e_err').show();
                $('.e_err').text('Enter Valid Email');
                $('#subscribe-button').attr('disabled', true);
            } else {
                $('.e_err').hide();
                $('#subscribe-button').attr('disabled', false);
            }
            if (!val) {
                $('.e_err').hide();
                $('#subscribe-button').attr('disabled', false);
            }
        }
        $("#subscribe").submit(function(e) {
            e.preventDefault();
        }).validate({
            rules: {
                sub_email: "required",
            },
            messages: {
                sub_email: "Please enter email",
            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).html(error)
                } else {
                    error.insertAfter(element);
                }
            },
            submitHandler: function(form) {
                var formData = new FormData($('#subscribe')[0]);
                console.log(formData);
                $.ajax({
                    type: 'POST',
                    url: "{{ url('save_subscribe') }}",
                    enctype: 'multipart/form-data',
                    data: formData,
                    processData: false,
                    contentType: false,
                    cache: false,
                    timeout: 600000,
                    dataType: "json",
                    beforeSend:function(){
                        $("#subscribe-button").attr("disabled",'');
                        $("#subscribe-button").text("Submitting");
                    },
                    complete:function(){
                        $("#subscribe-button").removeAttr("disabled");
                        $("#subscribe-button").text("Subscribe");
                    },
                    success: function(response) {
                        if (response.status == 1) {
                            toastr["success"](response.message);
                            $("#subscribe-email").val('');
                        } else {
                            toastr["error"](response.message);
                        }
                    }
                });
            }
        });
        $(".btn-srch").click(function(){
            link = "{{url('properties')}}";
            link = link+'?category_type='+$(".c-type").val()+'&property_type='+$(".p-type").val();
            lcn = $("#location").val();
            if(lcn && lcn!=','){
                link = link+'&location='+lcn;
            }
            txt_location = $("#txt_location").val();
            if(txt_location){
                link = link+'&place='+txt_location;
            }
            location.href=link;
        });
        $(document).on("click", ".btn-adv-srch", function () {
            link = "{{url('properties')}}";
            link = link+'?category_type='+$(".c-type").val()+'&property_type='+$(".p-type").val();
            lcn = $("#location").val();
            if(lcn && lcn!=','){
                link = link+'&location='+lcn;
            }
            txt_location = $("#txt_location").val();
            if(txt_location){
                link = link+'&place='+txt_location;
            }

            // bed_rooms = $("#bed_rooms").val();
            var bed_rooms = $('.bedroom_chk:checked').map(function () { return this.value; }).get();
            bed_rooms = (bed_rooms) ? String(bed_rooms).replace(/,/gi, "-") : '';
            
            // bath_rooms = $("#bath_rooms").val();
            var bath_rooms = $('.bathroom_chk:checked').map(function () { return this.value; }).get();
            bath_rooms = (bath_rooms) ? String(bath_rooms).replace(/,/gi, "-") : '';
            
            price_range = $("#price_range").val();
            area_range = $("#area_range").val();
            amenities = get_amenities();
            link = link+'&bed_rooms='+bed_rooms+'&bath_rooms='+bath_rooms+'&price_range='+price_range+'&area_range='+area_range+'&amenities='+amenities;
            location.href=link;
        });

        function get_amenities() {
            var searchIDs = $(".amenities-li input:checkbox:checked").map(function () {
            return $(this).val();
            }).get();
            return searchIDs;
        }

        var map;
        var usermarker;
        var geocoder;
        var currentLat = '';
        var currentLong = '';
        $("#location").val(currentLat + "," + currentLong);

        currentlocation = {
            "lat": currentLat,
            "lng": currentLong,
        };
        console.log(currentlocation)

        function initMap2() {
            console.log("init map 2")
            map2 = new google.maps.Map(document.getElementById('map_canvas_branch'), {
                center: {
                    lat: currentlocation.lat,
                    lng: currentlocation.lng
                },
                zoom: 14,
                gestureHandling: 'greedy',
                mapTypeControl: false,
                mapTypeControlOptions: {
                    style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
                },
                streetViewControlOptions: {
                    position: google.maps.ControlPosition.LEFT_BOTTOM
                },
            });

            geocoder = new google.maps.Geocoder();

            // geocoder2 = new google.maps.Geocoder;
            usermarker = new google.maps.Marker({
                position: {
                    lat: currentlocation.lat,
                    lng: currentlocation.lng
                },
                map: map2,
                draggable: true,

                animation: google.maps.Animation.BOUNCE
            });

            //map click
            google.maps.event.addListener(map2, 'click', function(event) {
                updatepostition2(event.latLng, "movemarker");
                //drag end event
                usermarker.addListener('dragend', function(event) {
                    // alert();
                    updatepostition2(event.latLng, "movemarker");

                });
            });

            //drag end event
            usermarker.addListener('dragend', function(event) {
                // alert();
                updatepostition2(event.latLng);

            });
        }


        function geocodePosition(pos) {
            geocoder.geocode({
                latLng: pos
            }, function(responses) {
                if (responses && responses.length > 0) {
                    usermarker.formatted_address = responses[0].formatted_address;
                } else {
                    usermarker.formatted_address = 'Cannot determine address at this location.';
                }
                console.log(usermarker.formatted_address);
                $('#branch_address').text(usermarker.formatted_address);
            });
        }


        updatepostition2 = function(position, movemarker) {
            console.log(position);
            geocodePosition(position);
            usermarker.setPosition(position);
            map2.panTo(position);
            map2.setZoom(15);
            let createLatLong = position.lat() + "," + position.lng();
            console.log("Address Lat/long=" + createLatLong);
            $("#location").val(createLatLong);
        }


        function initAutocomplete2() {
            // Create the search box and link it to the UI element.
            var input2 = document.getElementById('txt_location');
            var searchBox2 = new google.maps.places.SearchBox(input2);
            var dubaiBounds = {
                north: 25.3585607,
                east: 55.5650393,
                south: 24.7921359,
                west: 54.8904543
            };
            searchBox2.setBounds(map2.getBounds());
            map2.addListener('bounds_changed', function() {
                searchBox2.setBounds(map2.getBounds());
            });

            var autocomplete = new google.maps.places.Autocomplete(input, options);
            /// show on map
            autocomplete.bindTo('bounds', map);

            // Set the data fields to return when the user selects a place.
            autocomplete.setFields(
                ['address_components', 'geometry', 'icon', 'name']);
            searchBox2.addListener('places_changed', function() {
                var places2 = searchBox2.getPlaces();

                if (places2.length == 0) {
                    return;
                }
                $('#txt_location').val(input2.value)
                const southwest = {
                    lat: 24.7921359,
                    lng: 54.8904543
                };
                const northeast = {
                    lat: 25.3585607,
                    lng: 55.5650393
                };
                var bounds2 = new google.maps.LatLngBounds(southwest, northeast);
                const newBounds = new google.maps.LatLngBounds(southwest, northeast);

                autocomplete.setBounds(newBounds);
                places2.forEach(function(place) {
                    if (!place.geometry) {
                        console.log("Returned place contains no geometry");
                        return;
                    }

                    updatepostition2(place.geometry.location);

                    if (place.geometry.viewport) {
                        // Only geocodes have viewport.
                        bounds2.union(place.geometry.viewport);
                    } else {
                        bounds2.extend(place.geometry.location);
                    }
                });
                // map2.fitBounds(bounds2);
                map2.fitBounds(dubaiBounds);
            });
        }

        // initMap2();
        //initAutocomplete2();
        function initMap3() {
            const map = new google.maps.Map(document.getElementById("txt_location"), {
                center: {
                    lat: 50.064192,
                    lng: -130.605469
                },
                zoom: 3,
            });
            const card = document.getElementById("pac-card");

            map.controls[google.maps.ControlPosition.TOP_RIGHT].push(card);

            const center = {
                lat: 50.064192,
                lng: -130.605469
            };
            // Create a bounding box with sides ~10km away from the center point
            const defaultBounds = {
                north: center.lat + 0.1,
                south: center.lat - 0.1,
                east: center.lng + 0.1,
                west: center.lng - 0.1,
            };
            const input = document.getElementById("txt_location");
            const options = {
                bounds: defaultBounds,
                componentRestrictions: {
                    country: "ae"
                },
                fields: ["address_components", "geometry", "icon", "name"],
                strictBounds: false,
                types: ["establishment"],
            };
            const autocomplete = new google.maps.places.Autocomplete(input, options);

            // Set initial restriction to the greater list of countries.
            autocomplete.setComponentRestrictions({
                country: ["us", "pr", "vi", "gu", "mp"],
            });

            const southwest = {
                lat: 5.6108,
                lng: 136.589326
            };
            const northeast = {
                lat: 61.179287,
                lng: 2.64325
            };
            const newBounds = new google.maps.LatLngBounds(southwest, northeast);

            autocomplete.setBounds(newBounds);

            const infowindow = new google.maps.InfoWindow();
            const infowindowContent = document.getElementById("infowindow-content");

            infowindow.setContent(infowindowContent);

            const marker = new google.maps.Marker({
                map,
                anchorPoint: new google.maps.Point(0, -29),
            });

            autocomplete.addListener("place_changed", () => {
                infowindow.close();
                marker.setVisible(false);
                
                const place = autocomplete.getPlace();
                
                console.log(place, place.name);
                const locations = JSON.parse(localStorage.getItem('locations')) ?? [];
                
                const locationIndex = locations?.findIndex(location => location.name === place.name);
                if(locationIndex && locationIndex === -1) {
                    locations.push({id: new Date().valueOf(), name: place.name});
                    localStorage.setItem('locations', JSON.stringify(locations));
                }
                let html = '';
                for(const location of locations){
                    html += `<div>
                                <i class="fa fa-times" data-id="${location.id}"></i>
                                ${location.name}
                            </div>`;
                }
                $('.multiselect').html(html);
                $('.multiselect').show();
                $('#txt_location').val('');
                get_home_search_address(JSON.stringify(locations));
                $('#all_locations').val(JSON.stringify(locations));
                if (!place.geometry || !place.geometry.location) {
                    // User entered the name of a Place that was not suggested and
                    // pressed the Enter key, or the Place Details request failed.
                    // window.alert("No details available for input: '" + place.name + "'");
                    return;
                }

                // If the place has a geometry, then present it on a map.
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                    map.setZoom(17); // Why 17? Because it looks good.
                }

                marker.setPosition(place.geometry.location);
                marker.setVisible(true);

                let address = "";

                if (place.address_components) {
                    address = [
                        (place.address_components[0] &&
                            place.address_components[0].short_name) ||
                        "",
                        (place.address_components[1] &&
                            place.address_components[1].short_name) ||
                        "",
                        (place.address_components[2] &&
                            place.address_components[2].short_name) ||
                        "",
                    ].join(" ");
                }

                infowindowContent.children["place-icon"].src = place.icon;
                infowindowContent.children["place-name"].textContent = place.name;
                infowindowContent.children["place-address"].textContent = address;
                infowindow.open(map, marker);
            });

            // Sets a listener on a given radio button. The radio buttons specify
            // the countries used to restrict the autocomplete search.
            function setupClickListener(id, countries) {
                const radioButton = document.getElementById(id);

                radioButton.addEventListener("click", () => {
                    autocomplete.setComponentRestrictions({
                        country: countries
                    });
                });
            }

            setupClickListener("changecountry-usa", "us");
            setupClickListener("changecountry-usa-and-uot", [
                "us",
                "pr",
                "vi",
                "gu",
                "mp",
            ]);
        }
        initMap3();
    </script>
    
    <script type="text/javascript">

        function get_home_search_address(user_search_location){
            
            var data_string = "user_search_location="+user_search_location+"&_token="+"{{ csrf_token() }}";

            $.ajax({
                type: "POST",
                cache : false,
                url: "{{ route('get_home_search_address') }}", 
                data: data_string,
                dataType:'html',
                success: function(data){
                    
                    // alert(data);

                }
            });
        }

        $("#bedroom_chk_reset_btn").click(function(){
            
            $(".bedroom_chk").prop('checked',false);

        });

        $("#bathroom_chk_reset_btn").click(function(){
            
            $(".bathroom_chk").prop('checked',false);

        });

        

    </script>
