@include('frontend.layouts.includes.header', ['content' => $_meta_data])
<div id="wrapper">
    <!-- content -->
    <div class="content">
        <section class="hidden-section   single-hero-section" data-scrollax-parent="true" id="sec1">
            <div class="bg-wrap bg-parallax-wrap-gradien">
                <div class="bg par-elem " data-bg="{{ asset('') }}public/property/images/{{ $property->image }}"
                    data-scrollax="properties: { translateY: '30%' }"></div>
            </div>
            <div class="container">
                <!--  list-single-opt_header-->
                <div class="list-single-opt_header fl-wrap">
                    <ul class="list-single-opt_header_cat">
                        <li><a href="#" class="cat-opt color-bg">{{ $property->vehicle_type_name }}</a></li>
                    </ul>
                </div>
                <!--  list-single-opt_header end -->
                <!--  list-single-header-item-->
                <div class="list-single-header-item no-bg-list_sh fl-wrap">
                    <div class="row">
                        <div class="col-md-12">
                            <h1>{{ $property->property_name }} 
                                @if($property->verified)
                                <span class="verified-badge tolt"
                                    data-microtip-position="bottom" data-tooltip="Verified"><i
                                        class="fas fa-check"></i></span>
                                        @endif
                                    </h1>
                            <div class="geodir-category-location fl-wrap">
                                <a href="#"><i class="fas fa-map-marker-alt"></i>
                                    {{ $property->property_location }}</a>
                            </div>
                            {{-- <div class="share-holder hid-share">
                               <a href="#" class="share-btn showshare sfcs">  <i class="fas fa-share-alt"></i>  Share   </a>
                               <div class="share-container  isShare"></div>
                           </div> --}}
                        </div>
                    </div>
                    <div class="list-single-header-footer fl-wrap">
                        <div class="list-single-header-price" data-propertyprise="50500"><strong>Price:</strong>AED
                            {{ number_format($property->property_price) }}</div>
                        {{-- <div class="list-single-header-date">
                            <span>Date:</span>{{ date('d.m.Y', strtotime($property->property_created_date)) }}</div> --}}
                        </div>
                    </div>
                </div>
        </section>
        <div class="breadcrumbs fw-breadcrumbs smpar fl-wrap">
            <div class="container">
                <div class="breadcrumbs-list">
                    <a href="{{ url('/') }}">Home</a><a href="{{ url('/properties') }}">Listings</a><span>Property
                        Details</span>
                </div>

            </div>
        </div>
        <style>
            /*.list-single-main-media .gallery-item:nth-child(n+5){*/
            /*    display: none;*/
            /*}*/
            /*.list-single-main-media .gallery-items{*/
            /*    display: flex;*/
            /*    flex-wrap: wrap;*/
            /*}*/
            /*.list-single-main-media .gallery-item{*/
            /*    position: static  !important;*/
            /*    height: 145px !important;*/
            /*}*/
            /*.list-single-main-media .gallery-item-second{*/
            /*    height: 440px !important;*/
            /*}*/
        </style>
        <div class="gray-bg small-padding fl-wrap">
            <div class="container">
                <div class="row">
                    <!--  listing-single content -->
                    <div class="col-md-8">
                        <div class="list-single-main-wrapper fl-wrap">
                            <!--  scroll-nav-wrap -->
                            <div class="scroll-nav-wrap">
                                <nav class="scroll-nav scroll-init fixed-column_menu-init">
                                    <ul class="no-list-style">
                                        <li><a class="act-scrlink" href="#sec1"><i
                                                    class="fal fa-home-lg-alt"></i></a><span>Main</span></li>
                                        <li><a href="#sec2"><i class="fal fa-image"></i></a><span>Gallery</span></li>
                                        <li><a href="#sec3"><i class="fal fa-info"></i> </a><span>Details</span></li>
                                        {{-- <li><a href="#sec4"><i class="fal fa-bed"></i></a><span>Rooms</span></li> --}}
                                        {{-- <li><a href="#sec5"><i class="fal fa-video"></i></a><span>Video</span></li> --}}
                                        <li><a href="#sec6"><i class="fal fa-map-pin"></i></a><span>Location</span></li>
                                        {{-- <li><a href="#sec7"><i class="fal fa-comment-alt-lines"></i></a><span>Reviews</span></li> --}}
                                    </ul>
                                    <div class="progress-indicator">
                                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="-1 -1 34 34">
                                            <circle cx="16" cy="16" r="15.9155" class="progress-bar__background" />
                                            <circle cx="16" cy="16" r="15.9155"
                                                class="progress-bar__progress 
                                               js-progress-bar" />
                                        </svg>
                                    </div>
                                </nav>
                            </div>
                            <!--  scroll-nav-wrap end-->
                            <div class="list-single-main-media fl-wrap" id="sec2">
                                <!-- gallery-items   -->
                                <?php
                                $count = count($images);
                                $sk = 0;
                                if ($count >= 3) {
                                    $sk = 0;
                                }
                                ?>
                                <div
                                    class="grid-small-pad  list-single-gallery three-coulms lightgallery ">
                                    @if($count)
                                    @foreach ($images as $key => $img)
                                        <div class="gallery-item @if ($sk == $key) gallery-item-second @endif">
                                            <div class="grid-item-holder">
                                                <div class="box-item">
                                                    <img src="{{$img->property_images_name }}"
                                                        alt="">
                                                    <a href="{{ $img->property_images_name }}"
                                                        class="gal-link popup-image"><i class="fa fa-search"></i></a>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                    @else
                                    <div class="gallery-item gallery-item-second">
                                        <div class="grid-item-holder">
                                            <div class="box-item">
                                                <img src="{{ asset('website-assets/images/property_default.png') }}"
                                                    alt="">
                                                <a href="{{ asset('website-assets/images/property_default.png') }}"
                                                    class="gal-link popup-image"><i class="fa fa-search"></i></a>
                                            </div>
                                        </div>
                                    </div>
                                    @endif
                                    @foreach ($videos as $key=>$img)
                                    

                                    <?php if($img->property_video_url !="") {
                                    $links = explode("/",$img->property_video_url); ?>
                                   <div class="gallery-item video @if($sk==$key) gallery-item-second @endif">
                                       <div class="grid-item-holder">
                                           <div class="box-item">
                                               <img  src="https://i3.ytimg.com/vi/<?php echo end($links) ?>/maxresdefault.jpg"   alt="">
                                               <a href="<?= $img->property_video_url?>" class="gal-link  popup-image"><i class="fa fa-search"></i></a>
                                           </div>
                                       </div>
                                   </div>
                               <?php } else {?>
                               <div class="gallery-item ">
                                                    <div class="grid-item-holder">
                                                        <!-- Hidden video div -->
                                                        <div style="display:none;" id="video<?= $key?>">
                                                            <video class="lg-video-object lg-html5" autoplay mute preload="none">
                                                                <source src="<?php echo url('public/property/videos/'.$img->property_video_name) ?>" type="video/mp4">
                                                                 Your browser does not support HTML5 video.
                                                            </video>
                                                        </div>
                                                        <div class="box-item popup-image" data-poster="{{ asset('website-assets/images/0454504580.jpg') }}" data-html="#video<?= $key?>">
                                                            <span class="video-icon"><i class="far fa-play-circle"></i></span>
                                  <!--                        <video width="231" height="154" controls="">-->
                                  <!--<source src="<?php echo url('public/property/videos/'.$img->property_video_name) ?>" type="video/ogg">-->

                                  <!--</video>-->
                                  <!--                          <a href="<?php echo url('public/property/videos/'.$img->property_video_name) ?>" class="gal-link lg-has-html5 popup-image"><i class="fa fa-search"></i></a>-->
                                                              <img src="{{ asset('website-assets/images/0454504580.jpg') }}" />
                                                        </div>
                                                    </div>
                                                </div>
                                                <!--<script>-->
                                                <!--    document.getElementById('video1').addEventListener('loadedmetadata', function() {-->
                                                <!--      this.currentTime = 50;-->
                                                <!--    }, false);-->
                                                <!--</script>-->
                              
                               <?php } ?>
                                   @endforeach
                                    <a href="javascript:void(0)" id="showAll" class="show-all-btn"><i class="far fa-images"></i> Show all Images</a>
                                </div>
                                <!-- end gallery items -->
                            </div>
                            <div class="list-single-facts fl-wrap">
                                <!-- inline-facts -->
                                <div class="inline-facts-wrap">
                                    <div class="inline-facts">
                                        <i class="fal fa-home-lg"></i>
                                        <h6>Type</h6>
                                        <span>{{ $property->property_type }}</span>
                                    </div>
                                </div>
                                <!-- inline-facts end -->
                                <!-- inline-facts  -->
                                <div class="inline-facts-wrap">
                                    <div class="inline-facts">
                                        <i class="fal fa-cube"></i>
                                        <h6>Area</h6>
                                        <span>{{ $property->property_sqft }} SQFT</span>
                                    </div>
                                </div>
                                <!-- inline-facts end -->
                                <!-- inline-facts -->
                                <div class="inline-facts-wrap">
                                    <div class="inline-facts">
                                        <i class="fal fa-bed"></i>
                                        <h6>Bedrooms</h6>
                                        <span>{{ $property->property_bedroom }}</span>
                                    </div>
                                </div>
                                <!-- inline-facts end -->
                                <!-- inline-facts -->
                                <div class="inline-facts-wrap">
                                    <div class="inline-facts">
                                        <i class="fal fa-bath"></i>
                                        <h6>Bathrooms</h6>
                                        <span>{{ $property->property_bathroom }}</span>
                                    </div>
                                </div>
                                <!-- inline-facts end -->
                            </div>
                             <?php

                            $property->property_desc = str_replace('Please call for more information', '<p class="addition-desc">Please call for more information</p>', $property->property_desc);
                             $property->property_desc = str_replace('Mobile:', '<span class="addition-mob">Mobile :</span>', $property->property_desc);
                             $property->property_desc = str_replace('Call or WhatsApp:', '<br/><span class="addition-wht">Call or WhatsApp :</span>', $property->property_desc);
                             $property->property_desc = str_replace('Email:', '<br/><span class="addition-eml">Email :</span>', $property->property_desc); 
                              $property->property_desc = str_replace('Company name:', '<br/><span class="addition-cmpny">Company Name :</span>', $property->property_desc);
                            $property->property_desc = str_replace('Office Location:', '<br/><span class="addition-cmpny">Office Location :</span>', $property->property_desc);
                            $property->property_desc = str_replace('Primary Email Address:', '<br/><span class="addition-cmpny">Primary Email Address :</span>', $property->property_desc);
                             $property->property_desc = str_replace('Office no.:', '<br/><span class="addition-cmpny">Office No :</span>', $property->property_desc);
                             $property->property_desc = str_replace('Occupancy :', '<br/><span class="addition-occ">Occupancy :</span>', $property->property_desc);
                             $property->property_desc = str_replace('Unit No :', '<br/><span class="addition-unit">Unit No :</span>', $property->property_desc);
                             $property->property_desc = str_replace('Floor :', '<br/><span class="addition-flr">Floor :</span>', $property->property_desc);
                             $property->property_desc = str_replace('Cheques :', '<br/><span class="addition-chq">Cheques :</span>', $property->property_desc);
                             $property->property_desc = str_replace('Ownership :', '<br/><span class="addition-own">Ownership :</span>', $property->property_desc);
                             $property->property_desc = str_replace('WhatsApp:', '<br/><span class="whatsapp">WhatsApp :</span>', $property->property_desc);
                            ?>
                            <div class="list-single-main-container fl-wrap" id="sec3">
                                <!-- list-single-main-item -->
                                <div class="list-single-main-item fl-wrap  descrip-column">
                                    <div class="list-single-main-item-title">
                                        <h3>About This Listing</h3>
                                    </div>
                                    <div class="list-single-main-item_content fl-wrap">
                                        {!! $property->property_desc !!}
                                    </div>
                                </div>
                                <!-- list-single-main-item end -->
                                <!-- list-single-main-item -->
                                <div class="list-single-main-item fl-wrap">
                                    <div class="list-single-main-item-title">
                                        <h3>Details</h3>
                                    </div>
                                    <div class="list-single-main-item_content fl-wrap">
                                        <div class="details-list">
                                            <ul>
                                                <li><span>Category Type:</span>{{ $property->vehicle_type_name }}</li>
                                                @if ($property->category_type == 2)
                                                    <li><span>Rent Type:</span>{{ $property->rent_type }}</li>
                                                @endif

                                                <li><span>Property Type:</span>{{ $property->property_type }}</li>
                                                <li><span>Property Size:</span>{{ $property->property_sqft }} SQFT
                                                </li>
                                                <li><span>Bathrooms:</span>{{ $property->property_bathroom }}</li>
                                                <li><span>Bedrooms:</span>{{ $property->property_bedroom }}</li>
                                                <li><span>Maid Room:</span>@if ($property->bedroom_maids) Available @else No @endif</li>
                                                <li><span>Completion Level:</span>{{ $property->completion_level }}
                                                </li>
                                                <li><span>Price:</span>AED
                                                    {{ number_format($property->property_price) }}</li>
                                                    
                                                <li><span>Service Charge:</span>AED
                                                        {{ $property->service_charges ? number_format($property->service_charges) : 0 }}</li>    
                                            </ul>
                                        </div>
                                    </div>
                                </div>


                                <!-- list-single-main-item end -->
                                <!-- list-single-main-item -->
                                <div class="list-single-main-item fl-wrap">
                                    <div class="list-single-main-item-title">
                                        <h3>Amenities</h3>
                                    </div>
                                    <div class="list-single-main-item_content fl-wrap">
                                        <div class="listing-features ">
                                            <ul>
                                                @foreach ($amenities_list as $am)
                                                    <li><a href="javascript:;">{{ $am->amenities_name }}</a></li>
                                                @endforeach

                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <!-- list-single-main-item end -->
                                <!-- list-single-main-item -->
                                <input type="hidden" id="prpty_lat" value="{{ $property->latitude }}">
                                <input type="hidden" id="prpty_lon" value="{{ $property->longitude }}">
                                <div class="list-single-main-item fw-lmi fl-wrap" id="sec6">
                                    <div class="map-container mapC_vis mapC_vis2">
                                        {{-- <div id="singleMap" data-latitude="{{ $property->latitude }}" data-longitude="{{ $property->longitude }}" data-mapTitle="Our Location" data-infotitle="{{ $property->property_name }}" data-infotext="{{ $property->property_location }}"></div>
                                       <div class="scrollContorl"></div> --}}
                                        <div id="map_canvas_branch" style="height: 300px;width:100%;"></div>
                                    </div>
                                    {{-- <input id="pac-input" class="controls fl-wrap controls-mapwn" autocomplete="on" type="text" placeholder="What Nearby? Schools, Gym... " value=""> --}}
                                </div>

                            </div>
                        </div>
                    </div>
                    <!-- listing-single content end-->
                    <!-- sidebar -->
                    <div class="col-md-4">
                        
                                    <!--box-widget-->
                                    <div class="box-widget fl-wrap">
                                        <div class="profile-widget">
                                            <div class="profile-widget-header color-bg smpar fl-wrap">
                                                <div class="pwh_bg"></div>
                                                <div class="call-btn"><a href="tel:{{ $property->agent_mobile }}" class="tolt color-bg" data-microtip-position="right"  data-tooltip="Call Now"><i class="fas fa-phone-alt"></i></a></div>
                                                <!--<div class="box-widget-menu-btn smact"><i class="far fa-ellipsis-h"></i></div>-->
                                                <!--<div class="show-more-snopt-tooltip bxwt">-->
                                                <!--    <a href="#"> <i class="fas fa-comment-alt"></i> Write a review</a>-->
                                                <!--    <a href="#"> <i class="fas fa-exclamation-triangle"></i> Report </a>-->
                                                <!--</div>-->
                                                <div class="profile-widget-card">
                                                   {{-- <div class="profile-widget-image">
                                                        <img src="images/avatar/1.jpg" alt="">
                                                    </div>--}}
                                                    <div class="profile-widget-header-title">
                                                        <h4><a href="agent-single.html"> {{ $property->agent_name }}</a></h4>
                                                        <div class="clearfix"></div>
                                                        {{--<div class="pwh_counter"><span>22</span>Property Listings</div>--}}
                                                        <div class="clearfix"></div>
                                                        <!--<div class="listing-rating card-popup-rainingvis" data-starrating2="4"></div>-->
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="profile-widget-content fl-wrap">
                                                <div class="contats-list fl-wrap">
                                                    <ul class="no-list-style">
                                                        <li><span><i class="fal fa-phone"></i> Phone :</span> <a href="#">{{ $property->agent_mobile }}</a></li>
                                                        <li><span><i class="fal fa-envelope"></i> Mail :</span> <a href="#">{{ $property->agent_email }}</a></li>
                                                       {{-- <li><span><i class="fal fa-browser"></i> Website :</span> <a href="#">themeforest.net</a></li>--}}
                                                    </ul>
                                                </div>
                                              {{--  <div class="profile-widget-footer fl-wrap">
                                                    <a href="agent-single.html" class="btn float-btn color-bg small-btn">View Profile</a>
                                                    <a href="#sec-contact" class="custom-scroll-link tolt" data-microtip-position="left"  data-tooltip="Viewing Property"><i class="fal fa-paper-plane"></i></a>
                                                </div>--}}
                                            </div>
                                        </div>
                                    </div>
                                    <!--box-widget end -->
                        <?php $name = '';
                        $email = '';
                        $contact = '';
                        // if(!empty(session('userdetails'))){
                        //     $userDetails = session('userdetails');
                        //     $name = $userDetails['user_first_name'];
                        //     $email = $userDetails['user_email_id'];
                        //     $contact = $userDetails['dial_code'] . $userDetails['phone_number'] ;
                        // }
                        ?>
                        <!--box-widget-->
                        <div class="box-widget fl-wrap">
                            <div class="box-widget-fixed-init fl-wrap" id="sec-contact">
                                <div class="box-widget-title fl-wrap box-widget-title-color color-bg">Enquire Now</div>
                                <div class="box-widget-content fl-wrap">
                                    <div class="custom-form">
                                        <form method="post" action="" name="contact-property-form" id="enquire_form">
                                            @csrf
                                            <label>Name* <span class="dec-icon"><i
                                                        class="fas fa-user"></i></span></label>
                                            <input type="text" name="name" id="name" placeholder="Your Name"
                                                value="{{ $name }}">

                                            <label>E-mail* <span class="dec-icon"><i
                                                        class="fas fa-envelope"></i></span></label>
                                            <input type="text" name="email" id="email" placeholder="Email Address"
                                                value="{{ $email }}" onInput="checkMail(this)">
                                            <label class="e_err" style="color: red"></label>

                                            <label>Contact* <span class="dec-icon"><i
                                                        class="fas fa-mobile"></i></span></label>
                                            <input type="text" name="contact" id="contact" placeholder="Contact"
                                                class="digitsOnly" value="{{ $contact }}"
                                                onInput="checkPhn(this)" maxlength="15">
                                            <label class="p_err" style="color: red"></label>
                                            <label>Message*</label>
                                            <textarea name="message" id="message" cols="20" rows="2"
                                                placeholder="Your Message:"></textarea>
                                            <input type="hidden" name="property_id"
                                                value="{{ $property->property_id }}">

                                            <button type="submit" class="btn float-btn color-bg fw-btn" id="submit">
                                                Send</button>

                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--box-widget end -->
                    </div>
                    <!--  sidebar end-->
                </div>
                <div class="fl-wrap limit-box"></div>

            </div>
        </div>
    </div>
    <!-- content end -->
    @include('frontend.layouts.includes.footer')
    <script>
        $("#enquire_form").submit(function(e) {
            e.preventDefault();
        }).validate({
            rules: {
                name: "required",
                email: "required",
                contact: "required",
                location: "required",
                message: "required",


            },
            messages: {
                name: "Please enter name",
                email: "Please enter email",
                contact: "Please enter contact",
                message: "Enter your message",

            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).html(error)
                } else {
                    error.insertAfter(element);
                }
            },
            submitHandler: function(form) {
                var formData = new FormData($('#enquire_form')[0]);
                console.log(formData);
                $.ajax({
                    type: 'POST',
                    url: "{{ url('save_enquiry') }}",
                    enctype: 'multipart/form-data',
                    data: formData,
                    processData: false,
                    contentType: false,
                    cache: false,
                    timeout: 600000,
                    dataType: "json",
                    beforeSend: function() {
                        $("#submit").attr("disabled", '');
                        $("#submit").text("Submitting");
                    },
                    complete: function() {
                        $("#submit").removeAttr("disabled");
                        $("#submit").text("Send");
                    },
                    success: function(response) {
                        if (response.status == 1) {
                            toastr["success"](response.message);
                            setTimeout(function() {
                                window.location.reload();
                            }, 2000);

                        } else {
                            toastr["error"](response.message);
                        }
                    }
                });
            }
        });

        function checkMail(value) {
            let val = $(value).val();
            var patt = new RegExp("^\\w+([\\.-]?\\w+)*@\\w+([\\.-]?\\w+)*(\\.\\w{2,20})+$");
            var res = patt.test(val);
            var el = $(value).parent();
            if (!res) {
                $('.e_err').show();
                $('.e_err').text('Enter Valid Email');
                $('#submit').attr('disabled', true);
            } else {
                $('.e_err').hide();
                $('#submit').attr('disabled', false);
            }
            if (!val) {
                $('.e_err').hide();
                $('#submit').attr('disabled', false);
            }
        }

        function checkPhn(value) {
            let val = $(value).val();
            var patt = new RegExp(/[+0-9]$/);
            var res = patt.test(val);
            var el = $(value).parent();
            if (!res) {
                $('.p_err').show();
                $('.p_err').text('Enter Valid Phone Numbe');
                $('#submit').attr('disabled', true);

            } else {
                $('.p_err').hide();
                $('#submit').attr('disabled', false);
            }
            if (val.length < 5 || val.length > 15) {

                $('.p_err').show();
                $('.p_err').text('Enter Valid Phone Numbe');
                $('#submit').attr('disabled', true);
            }
            if (!val) {
                $('.p_err').hide();
                $('#submit').attr('disabled', false);
            }
        }

        var map;
        var usermarker;
        var geocoder;
        var currentLat = <?php echo $property->latitude ? $property->latitude : 25.204819; ?>;
        var currentLong = <?php echo $property->longitude ? $property->longitude : 55.270931; ?>;
        $("#location").val(currentLat + "," + currentLong);

        currentlocation = {
            "lat": currentLat,
            "lng": currentLong,
        };
        console.log(currentlocation)

        function initMap2() {
            console.log("init map 2")
            map2 = new google.maps.Map(document.getElementById('map_canvas_branch'), {
                center: {
                    lat: currentlocation.lat,
                    lng: currentlocation.lng
                },
                zoom: 14,
                gestureHandling: 'greedy',
                mapTypeControl: true,
                mapTypeControlOptions: {
                    style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
                },
                streetViewControlOptions: {
                    position: google.maps.ControlPosition.LEFT_BOTTOM
                },
            });

            geocoder = new google.maps.Geocoder();

            // geocoder2 = new google.maps.Geocoder;
            usermarker = new google.maps.Marker({
                position: {
                    lat: currentlocation.lat,
                    lng: currentlocation.lng
                },
                map: map2,
                draggable: true,

                animation: google.maps.Animation.BOUNCE
            });
        }
        initMap2();
    </script>
