<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>ATOA | Admin Login </title>
   <link rel="icon" type="image/x-icon" href="https://jarsite.com/baytikprop/admin-assets/assets/img/favicon.ico">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,600,700' rel='stylesheet' type='text/css'>
    <link href="<?php echo e(asset('admin-assets/bootstrap/css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('admin-assets/assets/css/plugins.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('admin-assets/assets/css/users/login-3.css')); ?>" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css')); ?>">
    <link href="<?php echo e(asset('admin-assets/plugins/notification/toastr/toastr.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->    
    <style type="text/css">
        .error{
            color: red;
            display: block;
        }

    </style>

</head>
<body class="login">

    <form class="form-login" method="POST" novalidate="">
        <?php echo csrf_field(); ?>
        <div class="row">
            <div class="col-md-12 text-center mb-4">
                <img alt="logo" src="<?php echo e(asset('admin-assets/assets/img/Oak-logo-horiz.png')); ?>" style="height: 60px;" class="theme-logo">
            </div>
            <div class="col-md-12">

                <label for="inputEmail" class="">Username</label>                
                <input type="email" id="inputEmail" name="username" class="form-control mb-4" placeholder="Your email address" required>
                <label for="inputPassword" class="">Password</label>
                <input type="password" id="inputPassword" name="password" class="form-control mb-5" placeholder="Your password" required>
                
                <button type="submit" class="btn btn-gradient-dark btn-rounded btn-block">Sign in</button>
            </div>

        </div>
    </form>
    
    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="<?php echo e(asset('admin-assets/assets/js/libs/jquery-3.1.1.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/bootstrap/js/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/bootstrap/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
    <script src="<?php echo e(asset('admin-assets/plugins/notification/toastr/toastr.min.js')); ?>"></script>
    <script>
        // Toaster options
        toastr.options = {
            "closeButton": false,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "rtl": false,
            "positionClass": "toast-top-right",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": 300,
            "hideDuration": 1000,
            "timeOut": 2000,
            "extendedTimeOut": 1000,
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }
        $(".form-login").submit(function(e) {
            e.preventDefault();
        }).validate({
            rules: {
                username: {
                    required: true,
                    email: true
                },
                password: "required"            
            },
            messages: {
                username: {
                    required: "Password field is required",
                    email: "Please enter valid email address"
                },
                password: "User name field is required"
            },
            submitHandler: function(form) { 
                $.ajax({
                    type:'POST',
                    url: "<?php echo e(route("admin.login.save")); ?>",
                    data:{
                        '_token': $('input[name=_token]').val(),
                        'admin_user_email': $("#inputEmail").val(),
                        'admin_user_password': $("#inputPassword").val(),
                    },
                    success: function(response) {
                        if(response.success){
                            toastr["success"](response.message);
                            setTimeout(function(){ 
                                window.location.href = "<?php echo e(route("admin.dashboard")); ?>";
                            }, 3000);
                            
                        } else {
                            toastr["error"](response.message);
                        }
                    }            
                });
            }
        });
    </script>
    
    <!-- END GLOBAL MANDATORY SCRIPTS -->
</body>
</html><?php /**PATH /home/a2itworld/public_html/atoa/resources/views/admin/login.blade.php ENDPATH**/ ?>