<?php $__env->startSection('headerFiles'); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin-assets/plugins/table/datatable/datatables.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css')); ?>">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="container">
    <div class="page-header">
        <div class="page-title">
            <h3>Subscribe Email List</h3>
        </div>
    </div>

    <div class="row layout-spacing ">

        <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
            <div class="statbox widget box box-shadow">
                <div class="widget-content widget-content-area">
                    <div class="table-responsive mb-4">
                        <table id="zero-config" class="table table-striped table-hover table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Email</th>
                                    <th>Subscribe Date</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $data["subscriberList"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $emailList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($emailList->subscribe_email); ?></td>
                                        <td><?php echo e($emailList->created_date); ?></td>
                                    </tr>                                    
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                            
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footerJs'); ?>
    <script src="<?php echo e(asset('admin-assets/plugins/table/datatable/datatables.js')); ?>"></script>
    <script>
        $('#zero-config').DataTable({
            "aaSorting": [],
            "language": {
                "paginate": { "previous": "<i class='flaticon-arrow-left-1'></i>", "next": "<i class='flaticon-arrow-right'></i>" },
                "info": "Showing page _PAGE_ of _PAGES_"
            }
        });
    </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/a2itworld/public_html/atoa/resources/views/admin/subscribe_email_list.blade.php ENDPATH**/ ?>