<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Validator;

class TeamController extends Controller
{
    public function list(Request $request)
    {
        $data['pageTitle'] = "Team List";
        $data['list'] = DB::table('team_category')->select('team_category.*')->join('team_members','team_members.category_id','team_category.id')->distinct()->get();
        return view('admin.team.list', compact('data'));
    }
    public function create(Request $request)
    {
        $data['pageTitle'] = "Team";
        $data['team_category'] = DB::table('team_category')->get();
        $data['team_details'] = [];
        $id = $request->id;
        if($id > 0) {
            $data['team_details'] = DB::table('team_members')->where('category_id',$id)->orderby('numorder','asc')->get();
          
        } 
        return view('admin.team.create', compact('data'));
    }

    public function add_team(Request $request)
    {
        $status = 1;
        $message = "Team Saved";
        $button_counter = $request->button_counter;
        for ($i = 0; $i <= $button_counter; $i++) {
            $file_name = "";
            if($request->{"title_$i"}!="" || ($request->team ==5 && !empty($request->file("image_" . $i)) ) || ($request->team ==5 && $request->{"team_id_$i"} > 0  )  ) { 
                $ins = ['title' => $request->{"title_$i"},'name' => $request->{"name_$i"},'status'=>1,'nationality'=>$request->{"nationality_$i"},'branch'=>$request->{"branch_$i"},'numorder'=>$request->{"order_$i"},'link'=>$request->{"link_$i"}];
                if ($file = $request->file("image_" . $i)) {
                    
                    $dir = 'uploads/team/';

                    $file_name = time() . $file->getClientOriginalName();
                   
                    $fname = "image_" . $i;
                    $request->$fname->move($dir, $file_name);
                     $ins['image'] = $file_name;
                    
                }

                
                if($request->{"team_id_$i"} > 0 ) { 
                    DB::table('team_members')->where('team_id',$request->{"team_id_$i"})->update($ins);  
                } else {
                    $ins['category_id'] = $request->team;
                    $ins['created_date'] = date('Y-m-d H:i:s');
                    DB::table('team_members')-> insert($ins);  
                }
            }
           

        }
         echo json_encode(['status'=>$status,'message'=>$message]);
    }


    public function delete_team(Request $request)
    {
        DB::table('team_members')->where('team_id', '=', $request->id)->delete();
        $status = 1;
        $message = "Deleted team member";
        echo json_encode(['status'=>$status,'message'=>$message]);
    }
    public function delete_teamcategory(Request $request)
    {
        DB::table('team_members')->where('category_id', '=', $request->id)->delete();
        $status = 1;
        $message = "Deleted team member";
        return redirect('admin/team/list');
        //echo json_encode(['status'=>$status,'message'=>$message]);
    }
}