<?php

namespace App\Http\Middleware;

use Closure;
class UserAuthCheck
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    { 
        
        if( !session()->has("userdetails") ){ 
            return redirect("/")->with("fail","You must be loged in to continue...");
        }
        $response = $next($request);
        $response->headers->set('Cache-Control','no-cache, no-store, max-age=0, must-revalidate');
        $response->headers->set('Pragma','no-cache');
        // $response->headers->set('Access-Control-Allow-Methods', 'GET, POST, PUT, DELETE, OPTIONS');
        $response->headers->set('Expires','Sat 01 Jan 1990 00:00:00 GMT');

        return $response;
    }
}
