<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class Sendinfo extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($datainfo)
    {
        $this->datainfo = $datainfo;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
   
     public function build()
    {
        return $this->from('baytik.website@gmail.com')->subject('New Customer Equiry')->view('dynamic_email_info')->with('data', $this->datainfo);
    }
}
