<!-- footer -->
<?php 
    $f_info = DB::table('site_common_info')->find(1);
    $social_medias = DB::table('social_media_settings')->get();
?>
<footer class="main-footer fl-wrap">
    <div class="footer-inner fl-wrap">
        <div class="container">
            <div class="row">
                <!-- footer widget-->
                <div class="col-md-3">
                    <div class="footer-widget fl-wrap">
                        <div class="footer-widget-logo fl-wrap">
                            <img src="{{ asset('website-assets/images/logo.png') }}" alt="">
                        </div>
                        <p>{{$f_info->description}}</p>
                        <div class="fw_hours fl-wrap">
                            <span>{{$f_info->timing_1}}</span>
                            @if($f_info->timing_2)
                            <span>{{$f_info->timing_2}}</span>
                            @endif
                        </div>
                    </div>
                </div>
                <!-- footer widget end-->
                <!-- footer widget-->
                <div class="col-md-3">
                    <div class="footer-widget fl-wrap">
                        <div class="footer-widget-title fl-wrap">
                            <h4>Helpful links</h4>
                        </div>
                        <ul class="footer-list fl-wrap">
                            <li><a href="{{url('about-us')}}">About</a></li>
                            <li><a href="{{url('/properties')}}">Listings</a></li>
                            <li><a href="{{url('/team')}}">Meet the Team</a></li>
                            <li><a href="{{url('blog')}}">Blog</a></li>
                            <li><a href="{{url('contacts')}}">Contacts</a></li>
                            {{-- <li><a href="#">Help Center</a></li> --}}
                        </ul>
                    </div>
                </div>
                <!-- footer widget end-->
                <!-- footer widget-->
                
                <div class="col-md-3">
                    <div class="footer-widget fl-wrap">
                        <div class="footer-widget-title fl-wrap">
                            <h4>Contacts Info</h4>
                        </div>
                        <ul class="footer-contacts fl-wrap">
                            <li><span><i class="fal fa-envelope"></i> Mail :</span><a href="#"
                                    target="_blank">{{$f_info->mail}}</a></li>
                            <li> <span><i class="fal fa-map-marker"></i> Address :</span><a href="#"
                                    target="_blank">{{$f_info->address}}</a></li>
                            <li><span><i class="fal fa-phone"></i> Phone :</span><a href="#">{{$f_info->contact}}</a></li>
                        </ul>
                       
                    </div>
                </div>
                <!-- footer widget end-->
                <!-- footer widget-->
                <div class="col-md-3">
                    <div class="footer-widget fl-wrap">
                        <div class="footer-widget-title fl-wrap">
                            <h4>Reach Us At</h4>
                        </div>
                        <div class="footer-social fl-wrap">
                              @if($social_medias)
                                <ul>
                                    @foreach($social_medias as $sm)
                                    <li><a @if($sm->value) target="_blank" rel="noopener noreferrer" href="{{$sm->value}}" @else href="javascript:;" @endif><i class="{{$sm->icon}}"></i></a></li>
                                    @endforeach
                                </ul>
                              @endif
                        </div>
                    </div>
                </div>
                {{-- <div class="col-md-3">
                    <div class="footer-widget fl-wrap">
                        <div class="footer-widget-title fl-wrap">
                            <h4>Download our API</h4>
                        </div>
                        <p>Start working with Homeradar that can provide everything you need </p>
                        <div class="api-links fl-wrap">
                            <a href="#" class="api-btn color-bg"><i class="fab fa-apple"></i> App Store</a>
                            <a href="#" class="api-btn color-bg"><i class="fab fa-google-play"></i> Play Market</a>
                        </div>
                    </div>
                </div> --}}
                <!-- footer widget end-->
            </div>
        </div>
    </div>
    <!--sub-footer-->
    <div class="sub-footer gray-bg fl-wrap">
        <div class="container">
            <div class="copyright"> &#169; Baytik Properties. . All rights reserved.</div>
            <div class="subfooter-nav">
                <ul class="no-list-style">
                    <li><a href="{{url('terms-of-use')}}">Terms of use</a></li>
                    <li><a href="{{url('privacy-policy')}}">Privacy Policy</a></li>
                    <li><a href="{{url('blog')}}">Blog</a></li>
                </ul>
            </div>
        </div>
    </div>
    <!--sub-footer end -->
</footer>
<!-- footer end -->
</div>
<!-- wrapper end -->
<!--register form -->
<div class="main-register-wrap modal">
    <div class="reg-overlay"></div>
    <div class="main-register-holder tabs-act">
        <div class="main-register-wrapper modal_main fl-wrap">
            <div class="main-register-header color-bg">
                <div class="main-register-logo fl-wrap">
                    <img src="{{ asset('website-assets/images/white-logo.png') }}" alt="">
                </div>
                <div class="main-register-bg">
                    <div class="mrb_pin"></div>
                    <div class="mrb_pin mrb_pin2"></div>
                </div>
                <div class="mrb_dec"></div>
                <div class="mrb_dec mrb_dec2"></div>
            </div>
            <div class="main-register">
                <div class="close-reg"><i class="fal fa-times"></i></div>
                <ul class="tabs-menu fl-wrap no-list-style">
                    <li class="current"><a href="#tab-1"><i class="fal fa-sign-in-alt"></i> Login</a></li>
                    <li><a href="#tab-2"><i class="fal fa-user-plus"></i> Register</a></li>
                </ul>
                <!--tabs -->
                <div class="tabs-container">
                    <div class="tab">
                        <!--tab -->
                        <div id="tab-1" class="tab-content first-tab">
                            <div class="custom-form">
                                <form method="post" name="loginform" id="loginform">
                                    
                                    <label>Username or Email Address * <span class="dec-icon"><i
                                                class="fal fa-user"></i></span></label>
                                    <input name="email" class="log_email" type="text" onClick="this.select()" value="" autocomplete="off">
                                    <div class="pass-input-wrap fl-wrap">
                                        <label>Password * <span class="dec-icon"><i
                                                    class="fal fa-key"></i></span></label>
                                        <input name="password" type="password" autocomplete="off"
                                            onClick="this.select()" value="" class="log_password">
                                        <span class="eye"><i class="fal fa-eye"></i> </span>
                                    </div>
                                    <label id="login_error"></label>
                                    <div class="filter-tags">
                                        <input id="check-a3" type="checkbox" name="check">
                                        <label for="check-a3">Remember me</label>
                                    </div>
                                    <div class="lost_password">
                                        <a href="#">Lost Your Password?</a>
                                    </div>
                                    <div class="filter-tags">
                                        <!--  <input id="check-a3" type="checkbox" name="check">
                                    <label for="check-a3">Remember me</label> -->
                                    </div>
                                    <div class="clearfix"></div>
                                    <button type="submit" class="log_btn color-bg"> LogIn </button>
                                </form>
                            </div>
                        </div>
                        <!--tab end -->
                        <!--tab -->
                        <div class="tab">
                            <div id="tab-2" class="tab-content">
                                <div class="custom-form">
                                    <form method="post" name="registerform" class="main-register-form"
                                        id="main-register-form2">
                                        <meta name="csrf-token" content="{{ csrf_token() }}" />
                                        <label>Full Name * <span class="dec-icon"><i
                                                    class="fal fa-user"></i></span></label>
                                        <input name="name" class="reg_name" type="text" autocomplete="off" onClick="this.select()"
                                            value="">
                                        <div class="email-input-wrap fl-wrap">
                                            <label>Email Address * <span class="dec-icon"><i
                                                        class="fal fa-envelope"></i></span></label>
                                            <input name="email" type="text" autocomplete="off" onClick="this.select()"
                                                value="" onInput="emailCheck(this)" class="reg_email">
                                            <span class="focus-border"></span>
                                            <span id="email_error" class="email_error errorcls"></span>
                                        </div>
                                        <?php $countries = load_country(); ?>
                                        <div class="phone-input-wrap fl-wrap">
                                            <label>Phone Number * <span class="dec-icon"> <select name="dial_code"
                                                        id="dial_code" class="form-control">
                                                        <?php   foreach ($countries as $key => $value) { ?>
                                                        <option value="{{ $value->country_dial_code }}">
                                                            {{ $value->country_dial_code }}</option>
                                                        <?php
                                            // code...
                                        } ?>

                                                    </select></span></label>

                                            <input name="phone_number" type="text" autocomplete="off"
                                                onInput="phoneCheck(this)" value="" class="reg_phone_number">
                                            <span class="focus-border"></span>
                                            <span class="phone_validate"></span>
                                        </div>
                                        <div class="pass-input-wrap fl-wrap">
                                            <label>Password * <span class="dec-icon"><i
                                                        class="fal fa-key"></i></span></label>
                                            <input name="password" type="password" autocomplete="off"
                                                onClick="this.select()" value="" class="reg_password">
                                            <span class="eye"><i class="fal fa-eye"></i> </span>
                                        </div>
                                        <div class="filter-tags ft-list">
                                            <input id="check-a2" type="checkbox" name="check">
                                            <label for="check-a2">I agree to the <a href="#">Privacy Policy</a> and <a
                                                    href="#">Terms and Conditions</a></label>
                                        </div>
                                        <label id="reg_error"></label>
                                        <div class="clearfix"></div>
                                        <button type="submit" class="log_btn color-bg"> Register </button>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <!--tab end -->
                    </div>
                    <!--tabs end -->
                    {{-- <div class="log-separator fl-wrap"><span>or</span></div>
                <div class="soc-log fl-wrap">
                    <p>For faster login or register use your social account.</p>
                    <a href="#" class="facebook-log"> Facebook</a>
                </div> --}}
                </div>
            </div>
        </div>
    </div>
</div>
<!--register form end -->
<!--secondary-nav -->
<div class="secondary-nav">
    {{-- <ul>
    <li><a href="dashboard-add-#" class="tolt" data-microtip-position="left"  data-tooltip="Sell Property"><i class="fal fa-truck-couch"></i> </a></li>
    <li><a href="#" class="tolt" data-microtip-position="left"  data-tooltip="Buy Property"> <i class="fal fa-shopping-bag"></i></a></li>
    <li><a href="#" class="tolt" data-microtip-position="left"  data-tooltip="Your Compare"><i class="fal fa-exchange"></i></a></li>
</ul> --}}
    <div class="progress-indicator">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="-1 -1 34 34">
            <circle cx="16" cy="16" r="15.9155" class="progress-bar__background" />
            <circle cx="16" cy="16" r="15.9155" class="progress-bar__progress 
            js-progress-bar" />
        </svg>
    </div>
</div>
<!--secondary-nav end -->
<a class="to-top color-bg"><i class="fas fa-caret-up"></i></a>
<!--map-modal -->
<div class="map-modal-wrap">
    <div class="map-modal-wrap-overlay"></div>
    <div class="map-modal-item">
        <div class="map-modal-container fl-wrap">
            <h3> <span>Listing Title </span></h3>
            <div class="map-modal-close"><i class="far fa-times"></i></div>
            <div class="map-modal fl-wrap">
                <div id="singleMap" data-latitude="40.7" data-longitude="-73.1"></div>
                <div class="scrollContorl"></div>
            </div>
        </div>
    </div>
</div>
<!--map-modal end -->
</div>
<!-- Main end -->
<!--=============== scripts  ===============-->
<script src="{{ asset('website-assets/js/jquery.min.js') }}"></script>
<script src="{{ asset('website-assets/js/plugins.js') }}"></script>
<script src="{{ asset('website-assets/js/scripts.js') }}"></script>
<script type="text/javascript"
src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB8QkOt74HuPCD8N6m1OfwSzyb0NWnjorg&v=weekly&libraries=places">
</script>
<script src="{{ asset('website-assets/js/map-single.js') }}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/additional-methods.min.js"
integrity="sha512-XZEy8UQ9rngkxQVugAdOuBRDmJ5N4vCuNXCh8KlniZgDKTvf7zl75QBtaVG1lEhMFe2a2DuA22nZYY+qsI2/xA=="
crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.js') }}"></script>
<style type="text/css">
    .errorcls {
        color: red;
    }

</style>
<script type="text/javascript">
    // Toaster options
    toastr.options = {
        "closeButton": false,
        "debug": false,
        "newestOnTop": false,
        "progressBar": false,
        "rtl": false,
        "positionClass": "toast-top-right",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": 300,
        "hideDuration": 1000,
        "timeOut": 3000,
        "extendedTimeOut": 2000,
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    }
    /*$('#main-register-form2').on('submit',function(e) {
        e.preventDefault();
        alert('submitting');
    });*/
    $("#main-register-form2").submit(function(e) {
        $(".val_err").html('');
        e.preventDefault();
    }).validate({
        rules: {
            name: "required",
            email: "required",
            password: "required",
            check: "required",
            dial_code: "required",
            phone_number: "required"

        },
        messages: {
            name: "Please enter full name",
            email: "Please enter email",
            password: "Please enter password",
            dial_code: "select dial code",
            phone_number: "Enter phone number"
        },
        submitHandler: function(form) {

            var formData = new FormData($('#main-register-form2')[0]);
            // formData.append('first_name', $("#first_name").val());


            console.log(formData);
            $.ajax({
                type: 'POST',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: "{{ route('signup') }}",

                enctype: 'multipart/form-data',

                data: formData,
                processData: false,
                contentType: false,
                cache: false,
                timeout: 600000,
                dataType: "json",
                success: function(response) {
                    if (response.status == 1) {
                        toastr["success"](response.message);
                        setTimeout(function() {
                            window.location.reload();
                        }, 2000);
                    } else{
                        if (typeof response.errors !== 'undefined' && response.errors) {
                            var error_def = $.Deferred();
                            var error_index = 0;
                            jQuery.each(response.errors, function(e_field, e_message) {
                                if (e_message != '') {
                                    $('<label class="val_err" style="color: red">' + e_message +
                                        '</label>').insertAfter($('.reg_'+e_field).eq(0));
                                    if (error_index == 0) {
                                        error_def.resolve();
                                    }
                                    error_index++;
                                }
                            });
                        }else{
                            toastr["error"](response.message);
                            $('.reg_error').html(response.message).css('color', 'red').show();
                        }
                    }
                    
                }
            });
        }
    });

    $("#loginform").submit(function(e) {
        $(".val_err").html('');
        $("#login_error").html('');
        
        e.preventDefault();
    }).validate({
        rules: {

            email: "required",
            password: "required",

        },
        messages: {

            email: "Please enter email",
            password: "Please enter password",
        },
        submitHandler: function(form) {

            var formData = new FormData($('#loginform')[0]);
            // formData.append('first_name', $("#first_name").val());


            console.log(formData);
            $.ajax({
                type: 'POST',
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: "{{ route('signin') }}",

                enctype: 'multipart/form-data',

                data: formData,
                processData: false,
                contentType: false,
                cache: false,
                timeout: 600000,
                dataType: "json",
                success: function(response) {
                    if (response.status == 1) {
                        toastr["success"](response.message);
                        setTimeout(function() {
                            window.location.reload();
                        }, 2000);
                    } else {
                        if (typeof response.errors !== 'undefined' && response.errors) {
                            var error_def = $.Deferred();
                            var error_index = 0;
                            jQuery.each(response.errors, function(e_field, e_message) {
                                if (e_message != '') {
                                    $('<label class="val_err" style="color: red">' + e_message +
                                        '</label>').insertAfter($('.log_'+e_field).eq(0));
                                    if (error_index == 0) {
                                        error_def.resolve();
                                    }
                                    error_index++;
                                }
                            });
                        } else {
                            toastr["error"](response.message);
                            $('#login_error').html(response.message).css('color', 'red');
                        }

                    }
                }
            });
        }
    });

    function phoneCheck(value) {
        let val = $(value).val();
        var patt = new RegExp(/[+0-9]$/);
        var res = patt.test(val);
        var el = $(value).parent();
        if (!res) {
            $('.phone_validate').hide();
            el.find($('.focus-border')).html($(
                '<span class="text-danger error phone_validate">Enter a Valid Phone Number</span>')).css('color',
                'red');
            $('.submit').attr('disabled', true);
        } else {
            $('.phone_validate').hide();
            $('.submit').attr('disabled', false);
        }
        if (val.length < 5 || val.length > 10) {
            el.find($('.focus-border')).html($(
                '<span class="text-danger error phone_validate">Enter a Valid Phone Number</span>')).css('color',
                'red');
            $('.submit').attr('disabled', true);
        }
        if (!val) {
            $('.phone_validate').hide();
            el.find($('.focus-border')).html($('<span class="text-danger error phone_validate"></span>')).css('color',
                'red');
            $('.submit').attr('disabled', false);
        }
    }

    function emailCheck(value) {
        let val = $(value).val();
        var patt = new RegExp("^\\w+([\\.-]?\\w+)*@\\w+([\\.-]?\\w+)*(\\.\\w{2,20})+$");
        var res = patt.test(val);
        var el = $(value).parent();
        if (!res) {
            $('.email_error').hide();
            el.find($('.email_error')).append($(
                '<span class="text-danger error email_validate">Enter a Valid Email</span>')).css('color', 'red');
            $('.submit').attr('disabled', true);
        } else {
            $('.email_error').hide();
            $('.submit').attr('disabled', false);
        }
        if (!val) {
            $('.email_error').hide();
            $('.submit').attr('disabled', false);
        }
    }
    $(document).on("keyup", ".digitsOnly", function() {
        this.value = this.value.replace(/[^0-9\.]/g, '');
    });
    
</script>
<!--Start of Tawk.to Script-->
<script type="text/javascript">
var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
(function(){
var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
s1.async=true;
s1.src='https://embed.tawk.to/622b41641ffac05b1d7e18ac/1ftsfestr';
s1.charset='UTF-8';
s1.setAttribute('crossorigin','*');
s0.parentNode.insertBefore(s1,s0);
})();
</script>
<!--End of Tawk.to Script-->
</body>

</html>
