<div class="listing-item-container  box-list_ic fl-wrap">
    @if($res->total())
    @foreach ($res as $pr) 
    @php 
        $image = App\Models\PropertyImage::where("property_id", $pr->property_id)->orderBy('sort_order', 'asc')->first();
        $image = isset($image->property_images_name) ? $image->property_images_name : '';
        $image_count = App\Models\PropertyImage::where("property_id", $pr->property_id)->count();
    @endphp
    <div class="listing-item">
        <article class="geodir-category-listing fl-wrap">
            <div class="geodir-category-img fl-wrap">
                @if($pr->property_custom_url)
                <a href="{{ url('property-details/' . $pr->property_custom_url) }}" class="geodir-category-img_item">
                @else
                <a href="{{ url('property-details/' . $pr->property_id) }}" class="geodir-category-img_item">
                @endif
                    @if($image)
                    <img src="{{ $image }}" alt="">
                    @else
                    <img src="{{ asset('website-assets/images/property_default.png') }}" alt="">
                    @endif
                    <div class="overlay"></div>
                </a>
                <div class="geodir-category-location">
                    <a href="#" class="single-map-item tolt" data-newlatitude="{{ $pr->latitude }}" data-newlongitude="{{ $pr->longitude }}"   data-microtip-position="top-left" data-tooltip="On the map"><i class="fas fa-map-marker-alt"></i> <span>  {{ $pr->property_location }}</span></a>
                </div>
                <ul class="list-single-opt_header_cat">
                    <li><a href="#" class="cat-opt blue-bg">For
                        {{ $pr->vehicle_type_name }}</a></li>
                </ul>
               
                <div class="geodir-category-listing_media-list">
                    <span><i class="fas fa-camera"></i> {{$image_count}}</span>
                </div>
            </div>
            <div class="geodir-category-content fl-wrap">
                <h3 class="title-sin_item">
                    @if($pr->property_custom_url)
                    <a href="{{ url('property-details/' . $pr->property_custom_url) }}">{{ $pr->property_name }}</a>
                    @else
                    <a href="{{ url('property-details/' . $pr->property_id) }}">{{ $pr->property_name }}</a>
                    @endif
                </h3>
                <div class="geodir-category-content_price">AED
                    {{ number_format($pr->property_price) }}</div>
                <div class="geodir-category-content-details">
                    <ul>
                        <li><i class="fal fa-bed"></i><span>{{ $pr->property_bedroom }}</span></li>
                        <li><i class="fal fa-bath"></i><span>{{ $pr->property_bathroom }}</span></li>
                        <li><i class="fal fa-cube"></i><span>{{ $pr->property_sqft }} SQFT</span></li>
                    </ul>
                </div>
            </div>
        </article>
    </div>
    @endforeach
    @else
    <img src="{{ asset('website-assets/images/no_details_found.png') }}" alt="">
    @endif
</div>
<!-- listing-item-wrap end-->
<!-- pagination-->
<div class="pagination">
    {!! $res->links('frontend.layouts.includes.custom_paginate') !!}
</div>