
@include('frontend.layouts.includes.header')
<style>
    .multiselect div i{
        cursor: pointer;
    }
    .multiselect div {
        background: #dd1e21;
        color: #fff;
        padding: 5px;
        width: 100%;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        margin: 3px 5px;
    }
    .multiselect {
        display: flex;
        align-items: center;
        width: 100%;
        margin: 10px 10px 10px 10px;
        flex-wrap: wrap;
    }
</style>
<div id="wrapper">
    <!-- content -->	
    <div class="content">
        <!--  section  -->
        <section class="parallax-section single-par color-bg">
            <div class="container">
                <div class="section-title center-align big-title">
                    <h2><span>@if($list_type=="premium") Premium @endif Property List</span></h2>
                </div>
            </div>
            <div class="pwh_bg"></div>
            <div class="mrb_pin vis_mr mrb_pin3 "></div>
            <div class="mrb_pin vis_mr mrb_pin4 "></div>
        </section>
        <!--  section  end-->
        <!-- breadcrumbs-->
        <div class="breadcrumbs fw-breadcrumbs sp-brd fl-wrap">
            <div class="container">
                <div class="breadcrumbs-list">
                    <a href="{{url('/')}}">Home</a><span>Listings</span>
                </div>
                <div class="share-holder hid-share">
                    <a href="#" class="share-btn showshare sfcs">  <i class="fas fa-share-alt"></i>  Share   </a>
                    <div class="share-container  isShare"></div>
                </div>
            </div>
        </div>
        <!-- breadcrumbs end -->
        <!-- col-list-wrap -->
        <section class="gray-bg small-padding gbsm">
            <div class="container">
                <div class="row">
                    <!-- search sidebar-->
                    <div class="col-md-4">
                        <div class="mob-nav-content-btn  color-bg show-list-wrap-search ntm fl-wrap">Show  Filters</div>
                        <div class="fl-wrap lws_mobile">
                            <div class="list-searh-input-wrap-title   fl-wrap"><i class="far fa-sliders-h"></i><span>Search Filters</span></div>
                            <div class="block-box fl-wrap search-sb" id="filters-column">
                                <!-- listsearch-input-item-->
                                <!--<div class=" fl-wrap filter-tags">-->
                                <!--    <input id="list_type" type="checkbox" @if($list_type=="premium") checked @endif >-->
                                <!--    <label for="list_type">Show Only Premium</label>-->
                                <!--</div>-->
                                <!--<br>-->
                                <!--<br>-->
                                <div class="listsearch-input-item">
                                    <label>Location</label>
                                    <input type="text" class="" name="txt_location" id="txt_location" placeholder="Property Location" value="{{$place}}"/>		
                                    <input type="hidden" id="location" name="location" value="{{$location}}">
                                    <input type="hidden" id="all_locations" name="all_locations">
                                </div>
                                <div class="listsearch-input-item">
                                   <div class="multiselect"></div>		
                                </div>
                                <div class="listsearch-input-item">
                                    <label>Category Type</label>
                                    <select data-placeholder="Category Type" class="chosen-select on-radius no-search-select cat_type" >
                                        <option value="">All Category Type</option>
                                        @foreach ($category_types as $cateType)
                                            <option @if($category_type == $cateType->vehicle_type_id) selected @endif value="{{ $cateType->vehicle_type_id }}">{{ $cateType->vehicle_type_name }}</option>    
                                        @endforeach     
                                    </select>
                                </div>
                                <div class="listsearch-input-item">
                                    <label>Property Type</label>
                                    <select data-placeholder="Property Type" class="chosen-select on-radius no-search-select prp_type" >
                                        <option value="">All Property Type</option>
                                        @foreach ($property_types as $propType)
                                            <option @if($property_type == $propType->vehicle_category_id) selected @endif value="{{ $propType->vehicle_category_id }}">{{ $propType->vehicle_category_name }}</option>    
                                        @endforeach  
                                    </select>
                                </div>
                                <!-- listsearch-input-item end-->
                                <!-- listsearch-input-item -->
                                <div class="listsearch-input-item">
                                    <label>Keywords</label>
                                    <input type="text" class="search_text" placeholder="Property Name" value=""/>										
                                </div>
                                <!-- listsearch-input-item end-->
                                <!-- listsearch-input-item -->
                                
                                <!-- listsearch-input-item end-->											
                                <!-- listsearch-input-item -->
                                <div class="listsearch-input-item">
                                    <div class="price-rage-item fl-wrap">
                                        <span class="pr_title">Price:</span>
                                        <input type="text" class="price-range-double" data-min="0" data-max="1000000"  name="price-range2"  data-step="1000" value="{{$price_range}}" data-prefix="AED " id="price_range">
                                    </div>
                                </div>
                                <!-- listsearch-input-item end-->
                                <!-- listsearch-input-item -->
                                <div class="listsearch-input-item">
                                    <div class="price-rage-item fl-wrap">
                                        <span class="pr_title">Area:</span>                   
                                        <input type="text" class="price-range-double" data-min="0" data-max="100000"  name="price-range2"  data-step="100" value="{{$area_range}}" data-prefix="" id="area_range">
                                    </div>
                                </div>
                                <!-- listsearch-input-item end-->										
                                <!-- listsearch-input-item -->
                                
                                <div class="listsearch-input-item">
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <label>Bedrooms</label>
                                            <!--<input type="text" class="bedrooms digitsOnly"  name="bedrooms" value="{{$bed_rooms}}">-->
                                            
                                            <!-- New Bedrooms-->
                                            <div class="custom-dropdown">
                                                <button class="dropdown-toggle" type="button">
                                                    Select Bedrooms <i class="fa fa-angle-down"></i>
                                                </button>
                                                <div class="dropdown-menu custom-dropdown-menu" id="my-dropdown" style="display: none;">
                                                    <div class="attr-section" id="bedroom_period_div">
                                                        <h4 class="title">Bedroom</h4>
                                                        <ul class="list">
                                                            <li class="item">
                                                                <input id="search_bedroom_period_1" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="1" @if(in_array('1', explode('-', $bed_rooms))) checked="" @endif>
                                                                <label for="search_bedroom_period_1" class="checkbox-custom-label">1</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bedroom_period_2" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="2" @if(in_array('2', explode('-', $bed_rooms))) checked="" @endif>
                                                                <label for="search_bedroom_period_2" class="checkbox-custom-label">2</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bedroom_period_3" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="3" @if(in_array('3', explode('-', $bed_rooms))) checked="" @endif>
                                                                <label for="search_bedroom_period_3" class="checkbox-custom-label">3</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bedroom_period_4" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="4" @if(in_array('4', explode('-', $bed_rooms))) checked="" @endif>
                                                                <label for="search_bedroom_period_4" class="checkbox-custom-label">4</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bedroom_period_5" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="5" @if(in_array('5', explode('-', $bed_rooms))) checked="" @endif>
                                                                <label for="search_bedroom_period_5" class="checkbox-custom-label">5</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bedroom_period_6" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="6" @if(in_array('6', explode('-', $bed_rooms))) checked="" @endif>
                                                                <label for="search_bedroom_period_6" class="checkbox-custom-label">6</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bedroom_period_7" class="checkbox-custom bedroom_chk" name="bedroom[]" type="checkbox" value="7" @if(in_array('7', explode('-', $bed_rooms))) checked="" @endif>
                                                                <label for="search_bedroom_period_7" class="checkbox-custom-label">7+</label>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                    <div class="actions">
                                                        <button type="button" class="btn-custom" id="bedroom_chk_reset_btn">Reset</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- New Bedrooms-->
                                            
                                        </div>
                                        <div class="col-sm-6">
                                            <label>Bathrooms</label>
                                            <!--<input type="text" class="bathrooms digitsOnly" name="bath_rooms" value="{{$bath_rooms}}">-->
                                            
                                            <!-- New Bathroom-->
                                            <div class="custom-dropdown">
                                                <button class="dropdown-toggle" type="button">
                                                    Select Bathrooms <i class="fa fa-angle-down"></i>
                                                </button>
                                                <div class="dropdown-menu custom-dropdown-menu" id="my-dropdown" style="display: none;">
                                                    <div class="attr-section" id="bedroom_period_div">
                                                        <h4 class="title">Bedroom</h4>
                                                        <ul class="list">
                                                            <li class="item">
                                                                <input id="search_bathroom_period_1" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="1" @if(in_array('1', explode('-', $bath_rooms))) checked="" @endif>
                                                                <label for="search_bathroom_period_1" class="checkbox-custom-label">1</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bathroom_period_2" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="2" @if(in_array('2', explode('-', $bath_rooms))) checked="" @endif>
                                                                <label for="search_bathroom_period_2" class="checkbox-custom-label">2</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bathroom_period_3" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="3" @if(in_array('3', explode('-', $bath_rooms))) checked="" @endif>
                                                                <label for="search_bathroom_period_3" class="checkbox-custom-label">3</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bathroom_period_4" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="4" @if(in_array('4', explode('-', $bath_rooms))) checked="" @endif>
                                                                <label for="search_bathroom_period_4" class="checkbox-custom-label">4</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bathroom_period_5" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="5" @if(in_array('5', explode('-', $bath_rooms))) checked="" @endif>
                                                                <label for="search_bathroom_period_5" class="checkbox-custom-label">5</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bathroom_period_6" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="6" @if(in_array('6', explode('-', $bath_rooms))) checked="" @endif>
                                                                <label for="search_bathroom_period_6" class="checkbox-custom-label">6</label>
                                                            </li>
                                                            <li class="item">
                                                                <input id="search_bathroom_period_7" class="checkbox-custom bathroom_chk" name="bathroom[]" type="checkbox" value="7" @if(in_array('7', explode('-', $bath_rooms))) checked="" @endif>
                                                                <label for="search_bathroom_period_7" class="checkbox-custom-label">7+</label>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                    <div class="actions">
                                                        <button type="button" class="btn-custom" id="bathroom_chk_reset_btn">Reset</button>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- New Bathroom-->
                                        </div>
                                    </div>
                                </div>
                                
                                <!-- listsearch-input-item end-->										
                                <!-- listsearch-input-item-->
                                @if($amenities)
                                <div class="listsearch-input-item">
                                    <label>Amenities</label>
                                    <div class=" fl-wrap filter-tags">
                                        <ul class="no-list-style">
                                            @foreach ($amenities as $amt)
                                                <li class="amenities-li">
                                                    <input id="check-{{$amt->amenities_id}}" type="checkbox" @if(in_array($amt->amenities_id,$sel_amtnts)) checked @endif value="{{$amt->amenities_id}}" name="amenities">
                                                    <label for="check-{{$amt->amenities_id}}">{{$amt->amenities_name}}</label>
                                                </li>
                                            @endforeach
                                           
                                        </ul>
                                    </div>
                                </div>
                                @endif
                                <!-- listsearch-input-item end--> 										
                                <div class="msotw_footer">
                                    <a href="javascript:;" class="btn small-btn float-btn color-bg search_btn">Search</a>
                                    <div class="reset-form reset-btn" onclick="location.href='{{url('properties')}}'"> <i class="far fa-sync-alt"></i> Reset Filters</div>
                                </div>
                            </div>
                            <a class="back-tofilters color-bg custom-scroll-link fl-wrap scroll-to-fixed-fixed" href="#filters-column">Back to filters <i class="fas fa-caret-up"></i></a>
                        </div>
                    </div>
                    <!-- search sidebar end-->
                    <div class="col-md-8">
                        <!-- list-main-wrap-header-->
                        <div class="list-main-wrap-header box-list-header fl-wrap">
                            <!-- list-main-wrap-title-->
                            {{-- <div class="list-main-wrap-title">
                                <h2>Results For : <span>New York </span><strong>8</strong></h2>
                            </div> --}}
                            <!-- list-main-wrap-title end-->
                            <!-- list-main-wrap-opt-->
                            <div class="list-main-wrap-opt">
                                <!-- price-opt-->
                                <div class="price-opt">
                                    <span class="price-opt-title">Sort   by:</span>
                                    <div class="listsearch-input-item">
                                        <select data-placeholder="Popularity" class="chosen-select no-search-select sort-sel" >
                                            <option value="">None</option>
                                            <option value="lth">Price: low to high</option>
                                            <option value="htl">Price: high to low</option>
                                        </select>
                                    </div>
                                </div>
                                <!-- price-opt end-->
                                <!-- price-opt-->
                                <div class="grid-opt">
                                    <ul class="no-list-style">
                                        <li class="grid-opt_act"><span class="two-col-grid act-grid-opt tolt" data-microtip-position="bottom" data-tooltip="Grid View"><i class="far fa-th"></i></span></li>
                                        <li class="grid-opt_act"><span class="one-col-grid tolt" data-microtip-position="bottom" data-tooltip="List View"><i class="far fa-list"></i></span></li>
                                    </ul>
                                </div>
                                <!-- price-opt end-->
                            </div>
                            <!-- list-main-wrap-opt end-->                    
                        </div>
                        <div class="pr_res">
                        </div>					
                    </div>
                    <!-- col-md 8 end -->
                </div>
            </div>
        </section>
        <div class="limit-box fl-wrap"></div>
    </div>
    <!-- content end -->	
</div>
<div id="map_canvas_branch" style="display:none"></div>
@include('frontend.layouts.includes.footer')
<script>
$(document).ready(function(){

    <?php if (Session::has('_set_user_search_location')){ ?>
        var _get_user_search_location = <?php echo Session::get('_set_user_search_location') ?>;
    <?php }else{ ?>
        var _get_user_search_location = [];
    <?php } ?>

    localStorage.setItem('locations', JSON.stringify(_get_user_search_location));
    const locations = JSON.parse(localStorage.getItem('locations'));
    
    if(!locations.length){
        $('.multiselect').html('');
        $('.multiselect').hide();
        $('#all_locations').val('');
        // return;
    }

    let html = '';
    for(const location of locations){
        html += `<div>
                    <i class="fa fa-times" data-id="${location.id}"></i>
                    ${location.name}
                </div>`;
    }
    $('.multiselect').html(html);
    $('.multiselect').show();
    get_home_search_address(JSON.stringify(locations));          
    $('#all_locations').val(JSON.stringify(locations));

});

localStorage.removeItem('locations');
$('.multiselect').hide();
$(document).on('click', '.multiselect i', function(){
    const id = $(this).data('id');
    const locations = JSON.parse(localStorage.getItem('locations'));
    const updatedLocation = locations.filter(location => location.id !== id);
    localStorage.setItem('locations', JSON.stringify(updatedLocation));
    if(!updatedLocation.length){
        $('.multiselect').html('');
        $('.multiselect').hide();
        $('#all_locations').val('');
        // return;
    }
    
    let html = '';
    for(const location of updatedLocation){
        html += `<div>
                    <i class="fa fa-times" data-id="${location.id}"></i>
                    ${location.name}
                </div>`;
    }
    $('.multiselect').html(html);
    $('.multiselect').show();
    get_home_search_address(JSON.stringify(updatedLocation));          
    $('#all_locations').val(JSON.stringify(updatedLocation));
});

$(document).ready(function () {
    load_page_data(1);
});
function get_amenities() {
    var searchIDs = $(".amenities-li input:checkbox:checked").map(function () {
       return $(this).val();
    }).get();
    return searchIDs;
 }
 function load_page_data(page,link='') {
    amenities = get_amenities();
    category_type = $(".cat_type").val();
    property_type = $(".prp_type").val();
    search_text = $(".search_text").val();
    
    // bedrooms = $(".bedrooms").val();
    var bedrooms = $('.bedroom_chk:checked').map(function () { return this.value; }).get();
    bedrooms = (bedrooms) ? String(bedrooms).replace(/,/gi, "-") : '';
    
    // bathrooms = $(".bathrooms").val();
    var bathrooms = $('.bathroom_chk:checked').map(function () { return this.value; }).get();
    bathrooms = (bathrooms) ? String(bathrooms).replace(/,/gi, "-") : '';
    
    sort = $(".sort-sel").val();
    list_type = '';
    // if($("#list_type").prop('checked') == true){
    //     list_type = "premium";
    // }
    lcn = $("#location").val();
    if(lcn == ","){
        lcn='';
    }

    price_range = $("#price_range").val();
    area_range = $("#area_range").val();
    
    _url = "{{url('get_list')}}";
    if(link){
        _url = link;
    }else{
        _url = _url + "?page=" + page;
    }
    _search = $('.search_box').val();
    _prd_for = $('input[name="prd_for"]:checked').val();
    $.ajax({
        url: _url + "&amenities=" + amenities + "&category_type=" + category_type + "&property_type=" + property_type + "&search_text=" + search_text + "&bedrooms=" + bedrooms + "&bathrooms=" + bathrooms+"&sort="+sort+"&list_type="+list_type+"&location="+lcn+'&price_range='+price_range+'&area_range='+area_range,
        method: "GET",
        dataType: "html",
        beforeSend: function beforeSend() {
            $('.pr_res').html('');
            $(".loader-wrap").show();
        },
        complete: function complete() {
            $(".loader-wrap").hide();
        },
        success: function success(data) {
            $(".pr_res").html(data);
        }
    });
}

$(document).on("click", ".search_btn", function (event) {
    load_page_data(1);
    $('html, body').animate({
        scrollTop: $('.gbsm').offset().top
    }, 'fast');
});
$(document).on("change", ".sort-sel", function (event) {
    load_page_data(1);
});


$(document).on("click", ".pagination a", function (event) {
    event.preventDefault();
    ref = $(this).attr('href');
    page = ref.substring(ref.lastIndexOf("/") + 1, ref.length);
    if (page == '') {
        page = 1;
    }
    load_page_data('',ref);
    $('html, body').animate({
        scrollTop: $('.gbsm').offset().top
    }, 'fast');
});
        // var map;
        // var usermarker;
        // var geocoder;
        // var currentLat = '';
        // var currentLong = '';
    
        // currentlocation = {
        //     "lat": currentLat,
        //     "lng": currentLong,
        // };
        // console.log(currentlocation)
     
    
        // function initMap2() {
        //     console.log("init map 2")
        //     map2 = new google.maps.Map(document.getElementById('map_canvas_branch'), {
        //         center: {
        //             lat: currentlocation.lat,
        //             lng: currentlocation.lng
        //         },
        //         zoom: 14,
        //         gestureHandling: 'greedy',
        //         mapTypeControl: false,
        //         mapTypeControlOptions: {
        //             style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
        //         },
        //         streetViewControlOptions: {
        //             position: google.maps.ControlPosition.LEFT_BOTTOM
        //         },
        //     });
    
        //     geocoder = new google.maps.Geocoder();
    
        //     // geocoder2 = new google.maps.Geocoder;
        //     usermarker = new google.maps.Marker({
        //         position: {
        //             lat: currentlocation.lat,
        //             lng: currentlocation.lng
        //         },
        //         map: map2,
        //         draggable: true,
    
        //         animation: google.maps.Animation.BOUNCE
        //     });
    
    
        //     //map click
        //     google.maps.event.addListener(map2, 'click', function(event) {
        //         updatepostition2(event.latLng, "movemarker");
        //         //drag end event
        //         usermarker.addListener('dragend', function(event) {
        //             // alert();
        //             updatepostition2(event.latLng, "movemarker");
    
        //         });
        //     });
    
        //     //drag end event
        //     usermarker.addListener('dragend', function(event) {
        //         // alert();
        //         updatepostition2(event.latLng);
    
        //     });
        // }
    
        // function geocodePosition(pos) {
        //     geocoder.geocode({
        //         latLng: pos
        //     }, function(responses) {
        //         if (responses && responses.length > 0) {
        //             usermarker.formatted_address = responses[0].formatted_address;
        //         } else {
        //             usermarker.formatted_address = 'Cannot determine address at this location.';
        //         }
        //         console.log(usermarker.formatted_address);
        //         $('#branch_address').text(usermarker.formatted_address);
        //     });
        // }
    
    
        // updatepostition2 = function(position, movemarker) {
        //     console.log(position);
        //     geocodePosition(position);
        //     usermarker.setPosition(position);
        //     map2.panTo(position);
        //     map2.setZoom(15);
        //     let createLatLong = position.lat()+","+position.lng();
        //     console.log("Address Lat/long="+createLatLong);
        //     $("#location").val(createLatLong);
        // }
    
        // function initAutocomplete2() {
        //     // Create the search box and link it to the UI element.
        //     var input2 = document.getElementById('txt_location');
        //     var searchBox2 = new google.maps.places.SearchBox(input2);
    
        //     map2.addListener('bounds_changed', function() {
        //         searchBox2.setBounds(map2.getBounds());
        //     });
    
        //     searchBox2.addListener('places_changed', function() {
        //         var places2 = searchBox2.getPlaces();
    
        //         if (places2.length == 0) {
        //             return;
        //         }
        //         $('#txt_location').val(input2.value)
    
        //         var bounds2 = new google.maps.LatLngBounds();
        //         places2.forEach(function(place) {
        //             if (!place.geometry) {
        //                 console.log("Returned place contains no geometry");
        //                 return;
        //             }
    
        //             updatepostition2(place.geometry.location);
    
        //             if (place.geometry.viewport) {
        //                 // Only geocodes have viewport.
        //                 bounds2.union(place.geometry.viewport);
        //             } else {
        //                 bounds2.extend(place.geometry.location);
        //             }
        //         });
        //         map2.fitBounds(bounds2);
        //     });
        // }
    
        // initMap2();
        // initAutocomplete2();
        
    
    var map;
        var usermarker;
        var geocoder;
        var currentLat = '';
        var currentLong = '';
        $("#location").val(currentLat + "," + currentLong);

        currentlocation = {
            "lat": currentLat,
            "lng": currentLong,
        };
        console.log(currentlocation)

        function initMap2() {
            console.log("init map 2")
            map2 = new google.maps.Map(document.getElementById('map_canvas_branch'), {
                center: {
                    lat: currentlocation.lat,
                    lng: currentlocation.lng
                },
                zoom: 14,
                gestureHandling: 'greedy',
                mapTypeControl: false,
                mapTypeControlOptions: {
                    style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
                },
                streetViewControlOptions: {
                    position: google.maps.ControlPosition.LEFT_BOTTOM
                },
            });

            geocoder = new google.maps.Geocoder();

            // geocoder2 = new google.maps.Geocoder;
            usermarker = new google.maps.Marker({
                position: {
                    lat: currentlocation.lat,
                    lng: currentlocation.lng
                },
                map: map2,
                draggable: true,

                animation: google.maps.Animation.BOUNCE
            });

            //map click
            google.maps.event.addListener(map2, 'click', function(event) {
                updatepostition2(event.latLng, "movemarker");
                //drag end event
                usermarker.addListener('dragend', function(event) {
                    // alert();
                    updatepostition2(event.latLng, "movemarker");

                });
            });

            //drag end event
            usermarker.addListener('dragend', function(event) {
                // alert();
                updatepostition2(event.latLng);

            });
        }


        function geocodePosition(pos) {
            geocoder.geocode({
                latLng: pos
            }, function(responses) {
                if (responses && responses.length > 0) {
                    usermarker.formatted_address = responses[0].formatted_address;
                } else {
                    usermarker.formatted_address = 'Cannot determine address at this location.';
                }
                console.log(usermarker.formatted_address);
                $('#branch_address').text(usermarker.formatted_address);
            });
        }


        updatepostition2 = function(position, movemarker) {
            console.log(position);
            geocodePosition(position);
            usermarker.setPosition(position);
            map2.panTo(position);
            map2.setZoom(15);
            let createLatLong = position.lat() + "," + position.lng();
            console.log("Address Lat/long=" + createLatLong);
            $("#location").val(createLatLong);
        }


        function initAutocomplete2() {
            // Create the search box and link it to the UI element.
            var input2 = document.getElementById('txt_location');
            var searchBox2 = new google.maps.places.SearchBox(input2);
            var dubaiBounds = {
                north: 25.3585607,
                east: 55.5650393,
                south: 24.7921359,
                west: 54.8904543
            };
            searchBox2.setBounds(map2.getBounds());
            map2.addListener('bounds_changed', function() {
                searchBox2.setBounds(map2.getBounds());
            });

            var autocomplete = new google.maps.places.Autocomplete(input, options);
            /// show on map
            autocomplete.bindTo('bounds', map);

            // Set the data fields to return when the user selects a place.
            autocomplete.setFields(
                ['address_components', 'geometry', 'icon', 'name']);
            searchBox2.addListener('places_changed', function() {
                var places2 = searchBox2.getPlaces();

                if (places2.length == 0) {
                    return;
                }
                $('#txt_location').val(input2.value)
                const southwest = {
                    lat: 24.7921359,
                    lng: 54.8904543
                };
                const northeast = {
                    lat: 25.3585607,
                    lng: 55.5650393
                };
                var bounds2 = new google.maps.LatLngBounds(southwest, northeast);
                const newBounds = new google.maps.LatLngBounds(southwest, northeast);

                autocomplete.setBounds(newBounds);
                places2.forEach(function(place) {
                    if (!place.geometry) {
                        console.log("Returned place contains no geometry");
                        return;
                    }

                    updatepostition2(place.geometry.location);

                    if (place.geometry.viewport) {
                        // Only geocodes have viewport.
                        bounds2.union(place.geometry.viewport);
                    } else {
                        bounds2.extend(place.geometry.location);
                    }
                });
                // map2.fitBounds(bounds2);
                map2.fitBounds(dubaiBounds);
            });
        }

        // initMap2();
        //initAutocomplete2();
        function initMap3() {
            const map = new google.maps.Map(document.getElementById("txt_location"), {
                center: {
                    lat: 50.064192,
                    lng: -130.605469
                },
                zoom: 3,
            });
            const card = document.getElementById("pac-card");

            map.controls[google.maps.ControlPosition.TOP_RIGHT].push(card);

            const center = {
                lat: 50.064192,
                lng: -130.605469
            };
            // Create a bounding box with sides ~10km away from the center point
            const defaultBounds = {
                north: center.lat + 0.1,
                south: center.lat - 0.1,
                east: center.lng + 0.1,
                west: center.lng - 0.1,
            };
            const input = document.getElementById("txt_location");
            const options = {
                bounds: defaultBounds,
                componentRestrictions: {
                    country: "ae"
                },
                fields: ["address_components", "geometry", "icon", "name"],
                strictBounds: false,
                types: ["establishment"],
            };
            const autocomplete = new google.maps.places.Autocomplete(input, options);

            // Set initial restriction to the greater list of countries.
            autocomplete.setComponentRestrictions({
                country: ["us", "pr", "vi", "gu", "mp"],
            });

            const southwest = {
                lat: 5.6108,
                lng: 136.589326
            };
            const northeast = {
                lat: 61.179287,
                lng: 2.64325
            };
            const newBounds = new google.maps.LatLngBounds(southwest, northeast);

            autocomplete.setBounds(newBounds);

            const infowindow = new google.maps.InfoWindow();
            const infowindowContent = document.getElementById("infowindow-content");

            infowindow.setContent(infowindowContent);

            const marker = new google.maps.Marker({
                map,
                anchorPoint: new google.maps.Point(0, -29),
            });

            autocomplete.addListener("place_changed", () => {
                infowindow.close();
                marker.setVisible(false);
                
                const place = autocomplete.getPlace();
                
                console.log(place, place.name);
                const locations = JSON.parse(localStorage.getItem('locations')) ?? [];
                
                const locationIndex = locations?.findIndex(location => location.name === place.name);
                if(locationIndex && locationIndex === -1) {
                    locations.push({id: new Date().valueOf(), name: place.name});
                    localStorage.setItem('locations', JSON.stringify(locations));
                }
                let html = '';
                for(const location of locations){
                    html += `<div>
                                <i class="fa fa-times" data-id="${location.id}"></i>
                                ${location.name}
                            </div>`;
                }
                $('.multiselect').html(html);
                $('.multiselect').show();
                $('#txt_location').val('');
                get_home_search_address(JSON.stringify(locations));
                $('#all_locations').val(JSON.stringify(locations));
                if (!place.geometry || !place.geometry.location) {
                    // User entered the name of a Place that was not suggested and
                    // pressed the Enter key, or the Place Details request failed.
                    // window.alert("No details available for input: '" + place.name + "'");
                    return;
                }

                // If the place has a geometry, then present it on a map.
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                    map.setZoom(17); // Why 17? Because it looks good.
                }

                marker.setPosition(place.geometry.location);
                marker.setVisible(true);

                let address = "";

                if (place.address_components) {
                    address = [
                        (place.address_components[0] &&
                            place.address_components[0].short_name) ||
                        "",
                        (place.address_components[1] &&
                            place.address_components[1].short_name) ||
                        "",
                        (place.address_components[2] &&
                            place.address_components[2].short_name) ||
                        "",
                    ].join(" ");
                }

                infowindowContent.children["place-icon"].src = place.icon;
                infowindowContent.children["place-name"].textContent = place.name;
                infowindowContent.children["place-address"].textContent = address;
                infowindow.open(map, marker);
            });

            // Sets a listener on a given radio button. The radio buttons specify
            // the countries used to restrict the autocomplete search.
            function setupClickListener(id, countries) {
                const radioButton = document.getElementById(id);

                radioButton.addEventListener("click", () => {
                    autocomplete.setComponentRestrictions({
                        country: countries
                    });
                });
            }

            setupClickListener("changecountry-usa", "us");
            setupClickListener("changecountry-usa-and-uot", [
                "us",
                "pr",
                "vi",
                "gu",
                "mp",
            ]);
        }
        initMap3();

</script>

<script type="text/javascript">

    function get_home_search_address(user_search_location){
        
        var data_string = "user_search_location="+user_search_location+"&_token="+"{{ csrf_token() }}";

        $.ajax({
            type: "POST",
            cache : false,
            url: "{{ route('get_home_search_address') }}", 
            data: data_string,
            dataType:'html',
            success: function(data){
                
                // alert(data);

            }
        });
    }


    $("#bedroom_chk_reset_btn").click(function(){
            
        $(".bedroom_chk").prop('checked',false);

    });

    $("#bathroom_chk_reset_btn").click(function(){
            
        $(".bathroom_chk").prop('checked',false);

    });

</script>
