<?php $__env->startSection('headerFiles'); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin-assets/plugins/table/datatable/datatables.css')); ?>">
    <link rel="stylesheet" type="text/css"
        href="<?php echo e(asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css')); ?>">
    <link rel="stylesheet" type="text/css"
        href="<?php echo e(asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css')); ?>">
    <link href="<?php echo e(asset('admin-assets/plugins/notification/toastr/toastr.min.css')); ?>" rel="stylesheet"
        type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->
    <style type="text/css">
        .error {
            color: red;
            display: block;
        }

    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <div class="container">
        <div class="page-header">
            <div class="page-title">
                <h3>Website Basic Info</h3>
            </div>
        </div>

        <div class="row layout-spacing ">

            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  layout-spacing">
                <div class="statbox widget box box-shadow">

                    <div class="widget-content widget-content-area">
                        <form method="post" class="form-validate" action="<?php echo e(url('admin/website_info')); ?>"
                            enctype="multipart/form-data">
                            <input type="hidden" name="id" value="<?php echo e($id); ?>">
                            <?php echo csrf_field(); ?>
                            <div class="form-group">
                                <label>Title <b class="text-danger"></b></label>
                                <input type="text" name="sub_title" class="form-control" value="<?php echo e($sub_title); ?>">
                            </div>

                            <div class="form-group">
                                <label>Content<b class="text-danger"></b></label>
                                <textarea name="sub_sub_title" class="form-control" value=""><?php echo e($sub_sub_title); ?></textarea>
                            </div>
                            <div class="form-group">
                                <label>Button Text<b class="text-danger"></b></label>
                                <input type="text" name="btn_text" class="form-control" value="<?php echo e($btn_text); ?>">
                            </div>
                            <div class="form-group">
                                <label>Button Link<b class="text-danger"></b></label>
                                <input type="text" name="btn_link" class="form-control" value="<?php echo e($btn_link); ?>">
                            </div>

                            <div class="form-group d-none">
                                <label>Title 1<b class="text-danger">*</b></label>
                                <input type="text" name="title_1" class="form-control" value="<?php echo e($title_1); ?>">
                            </div>

                            <div class="form-group d-none">
                                <label>Title 1<b class="text-danger">*</b></label>
                                <input type="text" name="title_1" class="form-control" value="<?php echo e($title_1); ?>">
                            </div>
                            <div class="form-group d-none">
                                <label>Title 1 Count<b class="text-danger">*</b></label>
                                <input type="text" name="title_1_count" class="form-control onlynumber"
                                    value="<?php echo e($title_1_count); ?>">
                            </div>

                            <div class="form-group d-none">
                                <label>Title 2<b class="text-danger">*</b></label>
                                <input type="text" name="title_2" class="form-control" value="<?php echo e($title_2); ?>">
                            </div>
                            <div class="form-group d-none">
                                <label>Title 2 Count<b class="text-danger">*</b></label>
                                <input type="text" name="title_2_count" class="form-control onlynumber"
                                    value="<?php echo e($title_2_count); ?>">
                            </div>

                            <div class="form-group d-none">
                                <label>Title 3<b class="text-danger">*</b></label>
                                <input type="text" name="title_3" class="form-control" value="<?php echo e($title_3); ?>">
                            </div>
                            <div class="form-group d-none">
                                <label>Title 3 Count<b class="text-danger">*</b></label>
                                <input type="text" name="title_3_count" class="form-control onlynumber"
                                    value="<?php echo e($title_3_count); ?>">
                            </div>

                            <div class="form-group d-none">
                                <label>Title 4<b class="text-danger">*</b></label>
                                <input type="text" name="title_4" class="form-control" value="<?php echo e($title_4); ?>">
                            </div>
                            <div class="form-group d-none">
                                <label>Title 4 Count<b class="text-danger">*</b></label>
                                <input type="text" name="title_4_count" class="form-control onlynumber"
                                    value="<?php echo e($title_4_count); ?>">
                            </div>

                            <div class="form-group">
                                <input type="submit" name="txt" class="mt-4 btn btn-button-7">
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>

    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footerJs'); ?>
    <script src="<?php echo e(asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js')); ?>"></script>
    <script src="<?php echo e(asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
    <script src="<?php echo e(asset('admin-assets/plugins/notification/toastr/toastr.min.js')); ?>"></script>
    <script>
        // Toaster options
        toastr.options = {
            "closeButton": false,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "rtl": false,
            "positionClass": "toast-top-right",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": 300,
            "hideDuration": 1000,
            "timeOut": 1000,
            "extendedTimeOut": 1000,
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }

        $(".form-validate").submit(function(e) {
            e.preventDefault();
        }).validate({
            rules: {
                title_1: "required",
                title_1_count: "required",
                title_2: "required",
                title_2_count: "required",
                title_3: "required",
                title_3_count: "required",
                title_4: "required",
                title_4_count: "required",
            },
            messages: {
                title_1: "Title 1 required",
                title_1_count: "Count required",
                title_2: "Title 2 required",
                title_2_count: "Count required",
                title_3: "Title 3 required",
                title_3_count: "Count required",
                title_4: "Title 4 required",
                title_4_count: "Count required",
            },
            submitHandler: function(form) {
                var formData = new FormData($('.form-validate')[0]);
                $.ajax({
                    type: 'POST',
                    url: "<?php echo e(route('admin.website_info.add_edit_save')); ?>",
                    data: formData,
                    processData: false,
                    contentType: false,
                    cache: false,
                    timeout: 600000,
                    success: function(response) {
                        if (response.success) {
                            toastr["success"](response.message);
                            setTimeout(function() {
                                window.location.href =
                                "<?php echo e(route('admin.website_info')); ?>";
                            }, 2000);
                        } else {
                            toastr["error"](response.message);
                        }
                    }
                });
            }
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/a2itworld/public_html/atoa/resources/views/admin/website/index.blade.php ENDPATH**/ ?>